\version "2.13.1"
\include "Eybler_SiConsistant_HV86_Settings_VocalVoice.ily"

\header {
  instrument = \BInstrumentName
  scorenumber = \markup{\scoreNumber \BNumber}
}

SiConsistantBStaff = <<
\new Staff = "SiConsistantB1Staff" \with {
    instrumentName = "B.1"
    shortInstrumentName = "B.1"
}

\new Lyrics = "SiConsistantB1Lyrics" { s1*44 s2 s4
  s4 s2.*31
  s1*43 }

\new Staff = "SiConsistantBStaff" \with {
         instrumentName = \BInstrumentName
%          shortInstrumentName = \BShortInstrumentName
} <<
  \new Voice = "SiConsistantBVoice" {
      \dynamicUp
      \SiConsistantSettings
      \BClef
      \SiConsistantKey
      \SiConsistantTimeSignature
      \cueText "Tutti"
      \quoteDuring #"SiConsistantBMusic" {s1*44 s2 s4 }
      \bar"||" \break
      \SiConsistantSettingsII
      s4 | s2.*31 \bar"||" \break
      \set Staff.instrumentName = \BShortInstrumentName
      \unset Staff.shortInstrumentName
      \SiConsistantSettingsIII
      s4 s s
      \cueText "Basso Tutti" \BClef
      \quoteDuring #"SiConsistantBMusic" {s4 | s1*42 }
      \bar"|."
  }
  \new Voice = "SiConsistantB2SoloInBStaffVoice" {
      \dynamicUp
      s1*44 | s2 s4 \bar"||"
      << {
          \BClef
          \SiConsistantSettingsII
          \set Staff.instrumentName = "B.2"
          \set Staff.shortInstrumentName = "B.2"
          \quoteDuring #"SiConsistantBSoloIIMusic" {s4 s2.*31 s4 s s}
        }
        \context Staff = "SiConsistantB1Staff" {
          \new Voice = "SiConsistantB1Voice" {
            \startStaff
            \dynamicUp
            \BClef
            \set Staff.shortInstrumentName = "B.1"
            \quoteDuring #"SiConsistantBSoloIMusic" {s4 s2.*31 }
            \SiConsistantSettingsIII
            \stopStaff
%             \quoteDuring #"SiConsistantBSoloIMusic" {s4 s s}
          }
        }
      >>
      s4 s1*42
  }
>>
  \context Lyrics = "SiConsistantB1Lyrics" \lyricsto "SiConsistantB1Voice" \SiConsistantBSoloILyrics
  \context Lyrics = "SiConsistantBLyrics" \lyricsto "SiConsistantBVoice" \SiConsistantBLyrics
  \context Lyrics = "SiConsistantBLyrics" \lyricsto "SiConsistantB2SoloInBStaffVoice" \SiConsistantBSoloIILyrics
>>

\layout {
  \context {
    \RemoveEmptyStaffContext
    \override VerticalAxisGroup #'remove-first = ##t
  }
}

\createScore #"SiConsistant" #'("B")

