\version "2.13.1"
\include "Eybler_SiConsistant_HV86_Settings_VocalVoice.ily"

\header {
  instrument = \TInstrumentName
  scorenumber = \markup{\scoreNumber \TNumber}
}

SiConsistantTStaff = <<
\new Staff = "SiConsistantT1Staff" \with {
    instrumentName = "T.1"
    shortInstrumentName = "T.1"
    quotedEventTypes = #'(StreamEvent)
}

\new Lyrics = "SiConsistantT1Lyrics" { s1*44 s2 s4
  s4 s2.*31
  s1*43 }

\new Staff = "SiConsistantTStaff" \with {
         instrumentName = \TInstrumentName
%          shortInstrumentName = \TShortInstrumentName
         quotedEventTypes = #'(StreamEvent)
} <<
  \new Voice = "SiConsistantTVoice" {
      \dynamicUp
      \SiConsistantSettings
      \TClef
      \SiConsistantKey
      \SiConsistantTimeSignature
      \cueText "Tutti"
      \quoteDuring #"SiConsistantTMusic" {s1*44 s2 s4 }
      \bar"||" \break
      \SiConsistantSettingsII
      s4 | s2.*31 \bar"||" \break
      \set Staff.instrumentName = \TShortInstrumentName
      \unset Staff.shortInstrumentName
      \SiConsistantSettingsIII
      s4 s s
      \cueText "Tenore Tutti" \TClef
      \quoteDuring #"SiConsistantTMusic" {s4 | s1*42 }
      \bar"|."
  }
  \new Voice = "SiConsistantT2SoloInTStaffVoice" {
      \dynamicUp
      s1*44 | s2 s4 \bar"||"
      << {
          \TClef
          \SiConsistantSettingsII
%           \cueText "Tenore 2 Solo"
%           \set Staff.instrumentName = "T.2"
          \set Staff.shortInstrumentName = "T.2"
          \quoteDuring #"SiConsistantTSoloIIMusic" {s4 s2.*31 s4 s s}
        }
        \context Staff = "SiConsistantT1Staff" {
          \new Voice = "SiConsistantT1Voice" {
            \startStaff
            \dynamicUp
            \TClef
%             \cueText "Tenore 1 Solo"
%             \set Staff.instrumentName = "T.1"
            \set Staff.shortInstrumentName = "T.1"
            \quoteDuring #"SiConsistantTSoloIMusic" {s4 s2.*31 }
            \SiConsistantSettingsIII
            \stopStaff
%             \quoteDuring #"SiConsistantTSoloIMusic" {s4 s s}
          }
        }
      >>
      s4 s1*42
  }
>>
  \context Lyrics = "SiConsistantT1Lyrics" \lyricsto "SiConsistantT1Voice" \SiConsistantTSoloILyrics
  \context Lyrics = "SiConsistantTLyrics" \lyricsto "SiConsistantTVoice" \SiConsistantTLyrics
  \context Lyrics = "SiConsistantTLyrics" \lyricsto "SiConsistantT2SoloInTStaffVoice" \SiConsistantTSoloIILyrics
>>

\layout {
  \context {
    \RemoveEmptyStaffContext
    \override VerticalAxisGroup #'remove-first = ##t
  }
}

\createScore #"SiConsistant" #'("T")

