\version "2.13.1"

% SiConsistantPieceName = "Si consistant"
% SiConsistantPieceNameTacet = "Si consistant tacet"
SiConsistantTempo = "Allegro con fuoco"
SiConsistantTempoII = "Larghetto cantabile" 
SiConsistantTempoIII = \markup{Tempo \concat{I \super mo}}

SiConsistantKey = \key es \major
SiConsistantKeyII = \key c \major
SiConsistantKeyIII = \SiConsistantKey

SiConsistantTimeSignature = \time 4/4
SiConsistantTimeSignatureII = \time 3/4
SiConsistantTimeSignatureIII = \SiConsistantTimeSignature

SiConsistantSettings = \notemode {
  \tempo \SiConsistantTempo 
}
SiConsistantSettingsII = \notemode {
  \tempo \SiConsistantTempoII
  \SiConsistantTimeSignatureII
  \set Timing.measurePosition = #(ly:make-moment 2 4)
}
SiConsistantSettingsIII = \notemode {
  \tempo \SiConsistantTempoIII
  \SiConsistantTimeSignatureIII
}


SiConsistantObIMusic = \relative c'' {
  c2.\f c8.[ c16] | % 2
  c2. c8.[ c16] | % 3
  h4 h8.[ h16] h4 h | % 4
  c2 r4 c8.[ c16] | % 5
  h4 h8.[ h16] h4 h | % 6
  c2 r4 c8.[ c16] | % 7
  f4-| es-| r c8.[ c16] | % 8
  as'4-| g-| r g8.[ g16] | % 9
  f4 es d c | \barNumberCheck #10
%%%%%%%%%%%%%%%
  h4 r g'2\fz | % 11
  es c | % 12
  h4 r g'2\fz | % 13
  es c | % 14
  h4 r r2 | \barNumberCheck #15
  as1\fz | % 16
  des \fz | % 17
  ges \fz | % 18
  f4 r r2 | % 19
  b,1\fz | \barNumberCheck #20
  es\fz | % 21
  as\fz | % 22
  g4 r r g | % 23
  f es d c | % 24
  h r r g' | \barNumberCheck #25
  f es d c| % 26
  h r r c | % 27
  h8[ c d es] d[ es f g] | % 28
  as2\fz g4 f4~ | % 29
  f es d2 | \barNumberCheck #30
  c4 es c as | % 31
  f f' d b | % 32
  g g' es c | % 33
  as'2\ff a | % 34
  g4 r h, r | \barNumberCheck #35
  c1\fz | % 36
  d\fz | % 37
  e\fz | % 38
  f2\fz g\fz | % 39
  as\fz h\fz | \barNumberCheck #40
%%%%%%%%%%
  c4 r r2 | % 41
  R1 | % 42
  r4 d,\f es fis, | % 43
  g d' es fis | % 44
  g r g g | % 45
  g r r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII \cueText "Solo" c,,16[( e g c]) | % 46
  e4.\fp f16[( e]) e[( d) d( c]) | % 47
  h8.[ c32 d] c8 r e,16[( g c e]) | % 48
  g4~\fp g16[( e a g]) g[( f) f( e]) | % 49
  d8.[( e32 f]) e8 r g16[(\> e)\! g(\> e])\! | \barNumberCheck #50
  a8.[(\fz f16]) c8 a16[(\p c]) c[( f]) f[( a]) | % 51
  g8.[( f16] e8) r e-|[\f g-|] | % 52
  c,4.( d16[\p e]) g[( f]) f[( e]) | % 53
  e4( d8) r r4 | % 54
  R2.*7 | \barNumberCheck #61
  r16 g,16[( a h] c[ d e f] a[( g f e]) | % 62
  e4( d8) r r4 | % 63
  R2.*3 | % 66
  r4 r8 cis16[(\p d] e[ fis g cis,]) | % 67
  e4( d8) e16[( fis] g[ fis e d]) | % 68
  d8.[ c16] h8 r r4 | % 69
  r r16 d16[( e fis] g[ fis e d]) | \barNumberCheck #70
  d8.[ c16] h8 r r4 | % 71
  R2.*2 | % 73
  r8 e16[(_\dolce d] c[ h a g]) fis8 r | % 74
  r cis'16[(\cresc d] e[ d h g]) fis8 r | % 75
  r8 cis'16[(\f d] e[ d g fis] e[ d c h]) | % 76
  e8 r r4 r \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  g,2.\p g8.[ g16] | % 78
  g2. g8.[ g16] | % 79
  h2. h8.[ h16] | \barNumberCheck #80
  h2. h8.[ h16] | % 81
  d2.\cresc d8.[ d16] | % 82
  d2. d8.[ d16] | % 83
  f2\f d4 h | % 84
  c d es c | % 85
  h4 r g'2\fz | % 86
  es c | % 87
  h4 r g'2\fz | % 88
  es c | % 89
  h4 r r2 | \barNumberCheck #90
  as1\fz | % 91
  des \fz | % 92
  ges \fz | % 93
  f4 r r2 | % 94
  b,1\fz | \barNumberCheck #95
  es\fz | % 96
  as\fz | % 97
  g4 r r g | % 98
  f es d c | % 99
  h r r g' | \barNumberCheck #100
  f es d c| % 101
  h r r c | % 102
  h8[ c d es] d[ es f g] | % 103
  as2\fz g4 f4~ | % 104
  f es d2 | \barNumberCheck #105
  c4 es c as | % 106
  f f' d b | % 107
  g g' es c | % 108
  as'2\ff a | % 109
  g4 r h, r | \barNumberCheck #110
  c1\fz | % 111
  d\fz | % 112
  e\fz | % 113
  f2\fz g\fz | % 114
  as\fz h\fz | \barNumberCheck #115
  c4 r8 c,8\f g'[ es c g] | % 116
  es'[ c g es] c'[ g es c] | % 117
  g'4 r g' r | % 118
  c, r c, r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantObIMusic" { \SiConsistantObIMusic }


SiConsistantObIIMusic = \relative c' {
  es2.\f es8.[ es16] | % 2
  es2. es8.[ es16] | % 3
  f4 f8.[ f16] f4 f | % 4
  es2 r4 es8.[ es16] | % 5
  f4 f8.[ f16] f4 f | % 6
  es2 r4 es8.[ es16] | % 7
  f4-| g-| r g8.[ g16] | % 8
  f4-| g-| r c8.[ c16] | % 9
  c2 as4 f | \barNumberCheck #10
  g4 r h2\fz | % 11
  c fis, | % 12
  g4 r h2\fz | % 13
  c fis, | % 14
  g4 r r2 | \barNumberCheck #15
  es1\fz | % 16
  as\fz | % 17
  es'\fz | % 18
  des4 r r2 | % 19
  f,1\fz | \barNumberCheck #20
  b\fz | % 21
  f'\fz | % 22
  es4 r r es | % 23
  d c h fis | % 24
  g r r es' | \barNumberCheck #25
  d c h fis | % 26
  g r r g | % 27
  as8[ g f es] h'[ c d es] | % 28
  f2\fz es4 c | % 29
  h c2 h4 | \barNumberCheck #30
  c es c as | % 31
  f f' d b | % 32
  g g' es c | % 33
  h2\ff c | % 34
  c4 r f, r | \barNumberCheck #35
  es1\fz | % 36
  f\fz | % 37
  g\fz | % 38
  c2\fz b\fz | % 39
  as\fz f'\fz | \barNumberCheck #40
  es4 r r2 | % 41
  R1 | % 42
  r4 h\f c a | % 43
  h h c a | % 44
  h r h h | % 45
  h r r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  g4.\fp a16[( g]) g[( f) f( e]) | % 47
  f4( e8) r c16[( e g c]) | % 48
  e4~\fp e16[( c f e]) e[( d) d( c]) | % 49
  h8.[( c32 d]) c8 r e16[(\> c)\! e(\> c])\! | \barNumberCheck #50
  f8.[(\fz c16]) a8 f16[(\p a]) a[( c) c( f]) | % 51
  e8.[( d16] c8) r c[-|\f h]-| | % 52
  g4.( h16[\p c]) e[( d) d( c]) | % 53
  c4( h8) r r4 | % 54
  R2.*7 | \barNumberCheck #61
  r8 r16 g~ g[( h c e]) f[( e d c]) | % 62
  c4( h8) r r4 | % 63
  R2.*3 | % 66
  r4 r a8[\p a] | % 67
  a4~ a8 r r4 | % 68
  r8 a[( g]) r r4 | % 69
  r r r8 h | \barNumberCheck #70
  a[ fis] g r r4 | % 71
  R2.*6 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  d2.\p d8.[ d16] | % 78
  d2. d8.[ d16] | % 79
  g2. g8.[ g16] | \barNumberCheck #80
  g2. g8.[ g16] | % 81
  g2.\cresc g8.[ g16] | % 82
  g2. h8.[ h16] | % 83
  h2.\f g4 | % 84
  g4 g2 fis4 | % 85
  g4 r h2\fz | % 86
  c fis, | % 87
  g4 r h2\fz | % 88
  c fis, | % 89
  g4 r r2 | \barNumberCheck #90
  es1\fz | % 91
  as\fz | % 92
  es'\fz | % 93
  des4 r r2 | % 94
  f,1\fz | \barNumberCheck #95
  b\fz | % 96
  f'\fz | % 97
  es4 r r es | % 98
  d c h fis | % 99
  g r r es' | \barNumberCheck #100
  d c h fis | % 101
  g r r g | % 102
  as8[ g f es] h'[ c d es] | % 103
  f2\fz es4 c | % 104
  h c2 h4 | \barNumberCheck #105
  c es c as | % 106
  f f' d b | % 107
  g g' es c | % 108
  h2\ff c | % 109
  c4 r f, r | \barNumberCheck #110
  es1\fz | % 111
  f\fz | % 112
  g\fz | % 113
  c2\fz b\fz | % 114
  as\fz f'\fz | \barNumberCheck #115
  es4 r8 c\f g'[ es c g] | % 116
  es'[ c g es] c'[ g es c] | % 117
  g'4 r h r | % 118
  c r c, r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantObIIMusic" { \SiConsistantObIIMusic }


SiConsistantFagIMusic = \relative c' {
  g2.\f g8.[ g16] | % 2
  g2. g8.[ g16] | % 3
  d'4 d8.[ d16] d4 d | % 4
  c2 r4 g8.[ g16] | % 5
  d'4 d8.[ d16] d4 d | % 6
  c2 r4 c8.[ c16] | % 7
  c4-| c-| r es8.[ es16] | % 8
  c4-| c-| r es8.[ es16] | % 9
  f4 c2 c4 | \barNumberCheck #10
  d4 r d2\fz | % 11
  c es | % 12
  d4 r d2\fz | % 13
  c es | % 14
  d4 r r2 | \barNumberCheck #15
  c1\fz | % 16
  des\fz | % 17
  as~\fz | % 18
  as4 r r2 | % 19
  d1\fz | \barNumberCheck #20
  es\fz | % 21
  b~\fz | % 22
  b4 r r \clef "tenor" g'4 | % 23
  f es d es | % 24
  d r r g | \barNumberCheck #25
  f es d es | % 26
  d r r c | % 27
  d8[ es h c] as'[ g f es] | % 28
  \clef "bass" d2\fz g,4 c | % 29
  d c g2 | \barNumberCheck #30
  c,4 c' as f | % 31
  d d' b g | % 32
  es es' c as | % 33
  d2\ff es | % 34
  es4 r d r | \barNumberCheck #35
  c1\fz | % 36
  h\fz | % 37
  b\fz | % 38
  as2\fz e'\fz | % 39
  f\fz d\fz | \barNumberCheck #40
  es4 r r2 | % 41
  R1 | % 42
  r4 d\f es2 | % 43
  d4 d es2 | % 44
  d4 r d d | \barNumberCheck #45
  d r r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  c,4\fp c' r8 c | % 47
  r g[ c] r r4 | % 48
  c,\fp c' r8 c | % 49
  r g[ c] r r4 | \barNumberCheck #50
  f,4.\fz f8[\p a f] | % 51
  c[ c'] r4 c8[-|\f g]-| | % 52
  e4 c8 r h[\p c] | % 53
  g[ g' g,] r r4 | % 54
  c4.\fp r8 r4 | % 55
  R2. | % 56
  c4.\fp r8 r4 | % 57
  R2.*3 | \barNumberCheck #60
  r8 g'8[\f g] r r4 | % 61
  r r8 c,[ c, c'] | % 62
  g[ g' g,] r r4 | % 63
  R2.*3 | % 66
  r4 r8 cis'16[(\p d] e[ fis g e]) | % 67
  cis4( d8) e16[( fis] g[ fis e d]) | % 68
  d4~ d8 r r4 | % 69
  r4 r16 d16[( e fis] g[ fis e d]) | \barNumberCheck #70
  d4~ d8 r r4 | % 71
  R2.*2 | % 73
  r8 e16[(_\dolce d] c[ h a g]) fis8 r | % 74
  r cis'16[( d] e[ d h g]) fis8 r | % 75
  r cis'16[(\f d] e[ d g fis] e[ d c h]) | % 76
  e8 r r4 r \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  h2.\p h8.[ h16] | % 78
  h2. h8.[ h16] | % 79
  d2. d8.[ d16] | \barNumberCheck #80
  d2. d8.[ d16] | % 81
  h2.\cresc h8.[ h16] | % 82
  h2. d8.[ d16] | % 83
  d2.\f d4 | % 84
  es d c c | \barNumberCheck #85
  d4 r d2\fz | % 86
  c es | % 87
  d4 r d2\fz | % 88
  c es | % 89
  d4 r r2 | \barNumberCheck #90
  c1\fz | % 91
  des\fz | % 92
  as~\fz | % 93
  as4 r r2 | % 94
  d1\fz | \barNumberCheck #95
  es\fz | % 96
  b~\fz | % 97
  b4 r r \clef "tenor" g'4 | % 98
  f es d es | % 99
  d r r g | \barNumberCheck #100
  f es d es | % 101
  d r r c | % 102
  d8[ es h c] as'[ g f es] | % 103
  \clef "bass" d2\fz g,4 c | % 104
  d c g2 | \barNumberCheck #105
  c,4 c' as f | % 106
  d d' b g | % 107
  es es' c as | % 108
  d2\ff es | % 109
  es4 r d r | \barNumberCheck #110
  c1\fz | % 111
  h\fz | % 112
  b\fz | % 113
  as2\fz e'\fz | % 114
  f\fz d\fz | \barNumberCheck #115
  g,4 r r r8 g\f | % 116
  es'[ c g es] c'[ g es c] | % 117
  g'4 r g r | % 118
  c, r c r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantFagIMusic" { \SiConsistantFagIMusic }

SiConsistantFagIIMusic = \relative c {
  c2.\f c8.[ c16] | % 2
  c2. c8.[ c16] | % 3
  c4 c8.[ c16] c4 c | % 4
  c2 r4 c8.[ c16] | % 5
  c4 c8.[ c16] c4 c | % 6
  c2 r4 c8.[ c16] | % 7
  as'4-| g-| r c,8.[ c16] | % 8
  f4-| es-| r c8.[ c16] | % 9
  as'4 g f as | \barNumberCheck #10
  g r g,2\fz | % 11
  c c' | % 12
  g4 r g,2\fz | % 13
  c2 c' | % 14
  g4 r r2 | \barNumberCheck #15
  ges1\fz | % 16
  f\fz | % 17
  c\fz | % 18
  des4 r r2 | % 19
  as'1\fz | \barNumberCheck #20
  g\fz | % 21
  d\fz | % 22
  es4 r r \clef "tenor" es'4 | % 23
  d c h c | % 24
  g r r es' | \barNumberCheck #25
  d c h c | % 26
  g r r es | % 27
  f8[ es d c] f[ es d c] | % 28
  \clef "bass" h2\fz c4 as' | % 29
  g c g g, | \barNumberCheck #30
  c c' as f | % 31
  d d' b g | % 32
  es es' c as | % 33
  f2\ff fis | % 34
  g4 r g r | \barNumberCheck #35
  c,1\fz | % 36
  c\fz | % 37
  c\fz | % 38
  c2\fz c\fz | % 39
  c\fz c\fz | \barNumberCheck #40
  c4 r r2 | % 41
  R1 | % 42
  r4 h'\f c2 | % 43
  h4 h c2 | % 44
  h4 r g g | % 45
  g r r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  c,,4\fp c' r8 c | % 47
  r g[ c] r r4 | % 48
  c,4\fp c'4 r8 c | % 49
  r g[ c] r r4 | \barNumberCheck #50
  f,4.\fz f8[\p a f] | % 51
  c'[ c'] r4 c,8[-|\f g]-| | % 52
  e4 c8 r h'[\p c] | % 53
  g[ g' g,] r r4 | % 54
  c,4\fp c'8 r r4 | % 55
  R2. | % 56
  c,4\fp c'8 r r4 | % 57
  R2.*3 | \barNumberCheck #60
  r8 c8[\f c] r r4 | % 61
  r r8 c[ c, c'] | % 62
  g[ g' g,] r r4 | % 63
  R2.*3 | % 66
  r4 r a8[\p a] | % 67
  a4( d8) r r4 | % 68
  r8 fis8[( g]) r r4 | % 69
  r r8 c[( h g]) | \barNumberCheck #70
  fis8[( d] g) r r4 | % 71
  R2.*6 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  g2.\p g8.[ g16] | % 78
  g2. g8.[ g16] | % 79
  g2. g8.[ g16] | \barNumberCheck #80
  g2. g8.[ g16] | % 81
  g2.\cresc g8.[ g16] | % 82
  g2. g8.[ g16] | % 83
  g2.\f f4 | % 84
  es4 h c as' | \barNumberCheck #85
  g r g,2\fz | % 86
  c c' | % 87
  g4 r g,2\fz | % 88
  c2 c' | % 89
  g4 r r2 | \barNumberCheck #90
  ges1\fz | % 91
  f\fz | % 92
  c\fz | % 93
  des4 r r2 | % 94
  as'1\fz | \barNumberCheck #95
  g\fz | % 96
  d\fz | % 97
  es4 r r \clef "tenor" es'4 | % 98
  d c h c | % 99
  g r r es' | \barNumberCheck #100
  d c h c | % 101
  g r r es | % 102
  f8[ es d c] f[ es d c] | % 103
  \clef "bass" h2\fz c4 as' | % 104
  g c g g, | \barNumberCheck #105
  c c' as f | % 106
  d d' b g | % 107
  es es' c as | % 108
  f2\ff fis | % 109
  g4 r g r | \barNumberCheck #110
  c,1\fz | % 111
  c\fz | % 112
  c\fz | % 113
  c2\fz c\fz | % 114
  c\fz c\fz | \barNumberCheck #115
  c4 r r r8 g'\f | % 116
  es'[ c g es] c'[ g es c] | % 117
  g'4 r g, r | % 118
  c r c, r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantFagIIMusic" { \SiConsistantFagIIMusic }

SiConsistantCorIMusic = \relative c'' {
  \transposition c
  c2.\f c8.[ c16] | % 2
  c2. c8.[ c16] | % 3
  f1 | % 4
  es4 c8.[ c16] c4 c8.[ c16] | % 5
  f1 | % 6
  es4 c8.[ c16] c4 c8.[ c16] | % 7
  c4 c r c8.[ c16] | % 8
  c4 c r c8.[ c16] | % 9
  c4 r r2 | \barNumberCheck #10
  r d\fz | % 11
  es2 c | % 12
  d4 r d2\fz | % 13
  es2 c | % 14
  d4 r r2 | % 15
  R1*7 | \barNumberCheck #22
  r2 r4 g8.[\f g16] | % 23
  g4 g8.[ g16] g4 c, | % 24
  d r r g8.[ g16] | % 25
  g4 g8.[ g16] g4 c, | % 26
  d r r2 | % 27
  R1 | % 28
  f2\fz es4 r | % 29
  r c4 d2 | \barNumberCheck #30
  c4 r r2 | \barNumberCheck #31
  R1*2 | \barNumberCheck #33
  f2\fz es\fz | % 34
  c4 r d r | % 35
  es1\fz | % 36
  f\fz | % 37
  g\fz | % 38
  f2\fz g\fz | % 39
  f\fz f\fz | \barNumberCheck #40
  es4 r r2 | \barNumberCheck #41
  R1 | % 42
  d2 c | % 43
  d c | % 44
  d4 r d d | % 45
  d r r4\fermata \bar"||"  \SiConsistantSettingsII r4 | % 46
  \cueText "Solo"
  c2\fp r4 | % 47
  d4( e8) r e,16[( g c e]) | % 48
  g4~\fp g16[( e a g]) g[( f) f( e]) | % 49
  d4( e8) r c8[ c] | \barNumberCheck #50
  c4.\fz c8[\p f a] | % 51
  g8.[( f16] e8) r e\f[-| d-|] | % 52
  c4.( d16[\p e]) g[( f) f( e]) | % 53
  e4( d8) r r4 | % 54
  e4.\fp r8 r4 | % 55
  R2. | % 56
  g4.\fp r8 r4 | % 57
  R2.*3 | \barNumberCheck #60
  r8 c,8[\f c] r r4 | % 61
  r8 d8 c16[( d e f]) a[( g f e]) | % 62
  e4( d8) r r4 | % 63
  R2.*3 | % 66
  r4 r g8[\p g] |
  g4( fis8) r r4 |
  R2.*9 \bar"||" % 77
  \SiConsistantSettingsIII 
  g,1~\p | % 78
  g1 | % 79
  g1~ | \barNumberCheck #80
  g | % 81
  d'1~\cresc | % 82
  d | % 83
  d\f | % 84
  c4 d es c4 | % 85
  d4 r d2\fz | % 86
  es c | % 87
  d4 r d2\fz | % 88
  es c | % 89
  d4 r r2 | \barNumberCheck #90
  R1*7 | % 97
  r2 r4 g8.[\f g16] | % 98
  g4 g8.[ g16] g4 c,4 | % 99
  d r r g8.[ g16] | \barNumberCheck #100
  g4 g8.[ g16] g4 c, | % 101
  d r r2 | % 102
  R1 | % 103
  f2\fz es4 r | % 104
  r c2 d4 | % 105
  c4 r r2 | % 106
  R1*2 | % 108
  f2\fz es\fz | % 109
  c4 r d r | \barNumberCheck #110
  es1\fz | % 111
  f\fz | % 112
  g\fz | % 113
  f2\fz g\fz | % 114
  f\fz f\fz | % 115
  es4 r r2 | % 116
  R1 | % 117
  g,4 r d' r | % 118
  c r c r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantCorIMusic" { \SiConsistantCorIMusic }


SiConsistantCorIIMusic = \relative c' {
  \transposition c
  c2.\f c8.[ c16] | % 2
  c2. c'8.[ c16] | % 3
  d1 | % 4
  c4 c,8.[ c16] c4 c8.[ c16] | % 5
  d'1 | % 6
  c4 c,8.[ c16] c4 c8.[ c16] | % 7
  c4 c r c8.[ c16] | % 8
  c4 c r c8.[ c16] | % 9
  c4 r r2 | \barNumberCheck #10
  r g'\fz | % 11
  c1 | % 12
  g4 r g2\fz | % 13
  c1 | % 14
  g4 r r2 | % 15
  R1*7 | \barNumberCheck #22
  r2 r4 g8.[\f g16] | % 23
  g4 g8.[ g16] g4 c | % 24
  g r r g8.[ g16] | % 25
  g4 g8.[ g16] g4 c | % 26
  g r r2 | % 27
  R1 | % 28
  d'2\fz es4 r | % 29
  r c2 g4 | \barNumberCheck #30
  c, r r2 | \barNumberCheck #31
  R1*2 | \barNumberCheck #33
  d'2\fz c\fz | % 34
  g4 r g r | % 35
  c1\fz | % 36
  d\fz | % 37
  e\fz | % 38
  c2\fz e\fz | % 39
  c\fz d\fz | \barNumberCheck #40
  g,4 r r2 | \barNumberCheck #41
  R1 | % 42
  g2 c | % 43
  g c | % 44
  g4 r g g | % 45
  g r r4\fermata \bar"||"  \SiConsistantSettingsII r4 | % 46
  \cueText "Solo"
  c,2\fp r4 | % 47
  g'4( c8) r c,16[( e g c]) | % 48
  e4~\fp e16[( c f e]) e[( d) d( c]) | % 49
  g4( c8) r c,8[ c] | \barNumberCheck #50
  c4.\fz c8[\p c' c] | % 51
  e8.[( d16] c8) r c\f[-| g-|] | % 52
  e4.( g16[\p c]) e[( d) d( c]) | % 53
  c4( g8) r r4 | % 54
  g4.\fp r8 r4 | % 55
  R2. | % 56
  e'4.\fp r8 r4 | % 57
  R2.*3 | \barNumberCheck #60
  r8 e,8[\f e] r r4 | % 61
  r8 g8 e16[( g c d]) f[( e d c]) | % 62
  c4( g8) r r4 | % 63
  R2.*3 | % 66
  r4 r e'8[\p e] |
  e4( d8) r r4 |
  R2.*9 \bar"||" % 77
  \SiConsistantSettingsIII 
  g,,1~\p | % 78
  g1 | % 79
  g'1~ | \barNumberCheck #80
  g | % 81
  g1~\cresc | % 82
  g | % 83
  g\f | % 84
  g4 g2 c4 | % 85
  g4 r g2\fz | % 86
  c1 | % 87
  g4 r g2\fz | % 88
  c1 | % 89
  g4 r r2 | \barNumberCheck #90
  R1*7 | % 97
  r2 r4 g8.[\f g16] | % 98
  g4 g8.[ g16] g4 c4 | % 99
  g r r g8.[ g16] | \barNumberCheck #100
  g4 g8.[ g16] g4 c | % 101
  g r r2 | % 102
  R1 | % 103
  d'2\fz es4 r | % 104
  r c2 g4 | % 105
  c,4 r r2 | % 106
  R1*2 | % 108
  d'2\fz c\fz | % 109
  g4 r g r | \barNumberCheck #110
  c1\fz | % 111
  d\fz | % 112
  e\fz | % 113
  c2\fz e\fz | % 114
  c\fz d\fz | % 115
  g,4 r r2 | % 116
  R1 | % 117
  g4 r g r | % 118
  c, r c r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantCorIIMusic" { \SiConsistantCorIIMusic }

SiConsistantTbeIMusic = \relative c'' {
  g4\f r r8 g16[ g] g8[ g] | % 2
  g4 r r8 g16[ g] g8[ g] | % 3
  g4 g8.[ g16] g4 g | % 4
  g4 r r8 g16[ g] g8[ g] | % 5
  g4 g8.[ g16] g4 g | % 6
  g4 r8 c,16[ c] c8[ c c c] | % 7
  c'4. c,16[ c] c8[ c c c] | % 8
  c'4. c,16[ c] c8[ c c c] | % 9
  c4 r r2 | \barNumberCheck #10
  g'4 r8 g16[ g] g8[ g g g] | % 11
  c4 r r2 | % 12
  g4 r8 g16[ g] g8[ g g g] | % 13
  c4 r r2 | % 14
  g4 r r2 | % 15
  c,2~\fz c4 r | % 16
  R1*4 | \barNumberCheck #20
  b'2\fz r | % 21
  b2\fz r | % 22
  R1 | % 23
  g4 r g r | % 24
  g r8 g16[ g] g8[ g g g] | % 25
  g4 r g r | % 26
  g r r2 | % 27
  R1*3 | \barNumberCheck #30
  c4 r r2 | % 31
  R1*2 | % 32
  r2 c2\ff | % 33
  g4 r g r | % 34
  c,2~\fz c4 r | % 35
  c2~\fz c4 r | % 36
  c2~\fz c4 r | % 37
  c\fz r c\fz r | % 38
  c\fz r c\fz r | \barNumberCheck #40
  c r r2 | % 41
  R1 | % 42
  r4 g'8.[\f g16] g4 c | % 43
  g4 g8.[ g16] g4 c | % 44
  g r g g | % 45
  g r r4\fermata \bar"||"  \SiConsistantSettingsII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII 
  R1*6 | % 83
  g4.\f g16[ g] g8[ g g g] | % 84
  c4 r r2 | % 85
  g4 r8 g16[ g] g8[ g g g] | % 86
  c4 r r2 | % 87
  g4 r8 g16[ g] g8[ g g g] | % 88
  c4 r r2 | % 89
  g4 r r2 | \barNumberCheck #90
  c,2~\fz c4 r | % 91
  R1*4 | \barNumberCheck #95
  b'2\fz r | % 96
  b2\fz r | % 97
  R1 | % 98
  g4 r g r | % 99
  g r8 g16[ g] g8[ g g g] | \barNumberCheck #100
  g4 r g r | % 101
  g r r2 | % 102
  R1*3 | % 105
  c4 r r2 | % 106
  R1*2 | % 108
  r2 c2\ff | % 109
  g4 r g r | \barNumberCheck #110
  c,2~\fz c4 r | % 111
  c2~\fz c4 r | % 112
  c2~\fz c4 r | % 113
  c4\fz r c4\fz r | % 114
  c4\fz r c4\fz r | % 115
  c4 r r2 | % 116
  R1 | % 117
  r2 g'4 r | % 118
  c r c, r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantTbeIMusic" { \SiConsistantTbeIMusic }


SiConsistantTbeIIMusic = \relative c' {
  c4\f r r8 c16[ c] c8[ c] | % 2
  c4 r r8 c16[ c] c8[ c] | % 3
  g4 g8.[ g16] g4 g | % 4
  c4 r r8 c16[ c] c8[ c] | % 5
  g4 g8.[ g16] g4 g | % 6
  c4 r8 c16[ c] c8[ c c c] | % 7
  c4. c16[ c] c8[ c c c] | % 8
  c4. c16[ c] c8[ c c c] | % 9
  c4 r r2 | \barNumberCheck #10
  g4 r8 g16[ g] g8[ g g g] | % 11
  c4 r r2 | % 12
  g4 r8 g16[ g] g8[ g g g] | % 13
  c4 r r2 | % 14
  g4 r r2 | % 15
  c2~\fz c4 r | % 16
  R1*4 | \barNumberCheck #20
  g'2\fz r | % 21
  b2\fz r | % 22
  R1 | % 23
  g,4 r g r | % 24
  g r8 g16[ g] g8[ g g g] | % 25
  g4 r g r | % 26
  g r r2 | % 27
  R1*3 | \barNumberCheck #30
  c4 r r2 | % 31
  R1*2 | % 32
  r2 c2\ff | % 33
  g4 r g r | % 34
  c2~\fz c4 r | % 35
  c2~\fz c4 r | % 36
  c2~\fz c4 r | % 37
  c\fz r c\fz r | % 38
  c\fz r c\fz r | \barNumberCheck #40
  c r r2 | % 41
  R1 | % 42
  r4 g8.[\f g16] g4 c | % 43
  g4 g8.[ g16] g4 c | % 44
  g r g g | % 45
  g r r4\fermata \bar"||"  \SiConsistantSettingsII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII 
  R1*6 | % 83
  g4.\f g16[ g] g8[ g g g] | % 84
  c4 r r2 | % 85
  g4 r8 g16[ g] g8[ g g g] | % 86
  c4 r r2 | % 87
  g4 r8 g16[ g] g8[ g g g] | % 88
  c4 r r2 | % 89
  g4 r r2 | \barNumberCheck #90
  c2~\fz c4 r | % 91
  R1*4 | \barNumberCheck #95
  g'2\fz r | % 96
  b2\fz r | % 97
  R1 | % 98
  g,4 r g r | % 99
  g r8 g16[ g] g8[ g g g] | \barNumberCheck #100
  g4 r g r | % 101
  g r r2 | % 102
  R1*3 | % 105
  c4 r r2 | % 106
  R1*2 | % 108
  r2 c2\ff | % 109
  g4 r g r | \barNumberCheck #110
  c2~\fz c4 r | % 111
  c2~\fz c4 r | % 112
  c2~\fz c4 r | % 113
  c4\fz r c4\fz r | % 114
  c4\fz r c4\fz r | % 115
  c4 r r2 | % 116
  R1 | % 117
  r2 g4 r | % 118
  c r c r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantTbeIIMusic" { \SiConsistantTbeIIMusic }

SiConsistantTimMusic = \relative c {
  c4\f r r8 c16[ c] c8[ c] | % 2
  d4 r r8 c16[ c] c8[ c] | % 3
  c1~\startTrillSpan | % 4
  c4\stopTrillSpan r r8 c16[ c] c8[ c] | % 5
  c1~\startTrillSpan | % 6
  c4\stopTrillSpan r8 c16[ c] c8[ c c c] | % 7
  c4. c16[ c] c8[ c c c] | % 8
  c4. c16[ c] c8[ c c c] | % 9
  c4 r r2 | \barNumberCheck #10
  g4 r r2 | % 11
  c1\trill | % 12
  g4 r r2 | % 13
  c1\trill | % 14
  g4 r r2 | % 15
  c2~\startTrillSpan c4\stopTrillSpan r | % 16
  R1*7 | % 23
  g4 r g r | % 24
  g r8 g16[ g] g8[ g g g] | % 25
  g4 r g r | % 26
  g r r2 | % 27
  R1*3 | \barNumberCheck #30
  c4 r r2 | % 31
  R1*2 | % 33
  r2 c2\ff\trill | % 34
  g4 r g r | % 35
  c2~\fz\startTrillSpan c4\stopTrillSpan r | % 36
  c2~\fz\startTrillSpan c4\stopTrillSpan r | % 37
  c2~\fz\startTrillSpan c4\stopTrillSpan r | % 38
  c4\fz r c4\fz r | % 39
  c4\fz r c4\fz r | \barNumberCheck #40
  c4 r r2 | % 41
  R1 | % 42
  r4 g8.[\f g16] g4 c | % 43
  g4 g8.[ g16] g4 c | % 44
  g r g g | % 45
  g r r4\fermata \bar"||"  \SiConsistantSettingsII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII 
  g2~\p\startTrillSpan g4\stopTrillSpan r | % 78
  g2~\startTrillSpan g4\stopTrillSpan r | % 79
  g2~\startTrillSpan g4\stopTrillSpan r | \barNumberCheck #80
  g2~\startTrillSpan g4\stopTrillSpan r | % 81
  g2~\startTrillSpan\cresc g4\stopTrillSpan r | % 82
  g2~\startTrillSpan g4\stopTrillSpan r | % 83
  g1~\f\startTrillSpan | % 84
  g4\stopTrillSpan r r2 | % 85
  g4 r r2 | % 86
  c1\trill | % 87
  g4 r r2 | % 88
  c1\trill | % 89
  g4 r r2 | \barNumberCheck #90
  c2~\fz\startTrillSpan c4\stopTrillSpan r | % 91
  R1*7 | % 98
  g4 r g r | % 99
  g r8 g16[ g] g8[ g g g] | \barNumberCheck #100
  g4 r g r | % 101
  g r r2 | % 102
  R1*3 | % 105
  c4 r r2 | % 106
  R1*2 | % 108
  r2 c2\trill\ff | % 109
  g4 r g r | \barNumberCheck #110
  c2~\fz\startTrillSpan c4\stopTrillSpan r4 | % 111
  c2~\fz\startTrillSpan c4\stopTrillSpan r4 | % 112
  c2~\fz\startTrillSpan c4\stopTrillSpan r4 | % 113
  c4\fz r c4\fz r | % 114
  c4\fz r c4\fz r | % 115
  c4 r r2 | % 116
  R1 | % 117
  r2 g4 r | % 118
  c4 r c r | % 119
  c r r2 \bar"|."
}
\addQuote "SiConsistantTimMusic" { \SiConsistantTimMusic }


SiConsistantVIMusic = \relative c' {
  c16[(\f d es d]) c[( d es d]) c[( d es f] g[ a h c]) | % 2
  c,[( d es d]) c[( d es d]) c[( d es f] g[ a h c]) | % 3
  h[( c d es] f[ es d c]) h[( as g f] es[ d c h]) | % 4
  c[( d es d]) c[( d es d]) c[( d es f] g[ a h c]) | % 5
  h[( c d es] f[ es d c]) h[( as g f] es[ d c h]) | % 6
  c[( d es d]) c[( d es d]) c[( d es f] g[ a h c]) | % 7
  f4-| es-| c16[( d es f] g[ a h c]) | % 8
  <as c,>4-| <g c,>-| g,16[( a h c] d[ es f g]) | % 9
  f[ f f, f] es[ es es' es] d[ d d, d] c[ c c' c] | \barNumberCheck #10
  h[ h g' g] d[ d h h] g[ g d d] h[ h g g] | % 11
  c8[ d16 es] f[ g a h] c[ d es f] g[ a h c] | % 12
  h[ h g g] d[ d h h] g[ g d d] h[ h g g] | % 13
  c8[ d16 es] f[ g a h] c[ d es f] g[ a h c] | % 14
  h[ h g g] d[ d h h] g4 r | % 15
  as16[\fz as es es] c[ c es es] as[\fz as es es] c[ c es es] | % 16
  as[\fz as f f] des[ des f f] as[\fz as des des] f[ f as as] | % 17
  ges[\f ges es es] c[ c as as] ges[ ges es es] as,[ as ges' ges] | % 18
  f[ f des des] f[ f as as] des[ des as as] des[ des f f] | % 19
  b,[\fz b f f] d[ d f f] b[\fz b f f] d[ d f f] | \barNumberCheck #20
  b[\fz b g g] es[ es g g] b[\fz b es es] g[ g b b] | % 21
  as[\f as f f] d[ d b b] as[ as f f] b,[ b as' as] | % 22
  g[ g es es] g[ g b b] es[ es b b] es[ es g g] | % 23
  f[ f f, f] es[ es es' es] d[ d d, d] c[ c c' c] | % 24
  h[ h g, g] h[ h d d] g[ g c c] es[ es g g] | % 25
  f[ f f, f] es[ es es' es] d[ d d, d] c[ c c' c] | % 26
  h[ h g g] d[ d h h] c[ c es es] g[ g c c] | % 27
  h[ h c c] d[ d es es] d[ d es es] f[ f g g] | % 28
  as[\fz as d,, d] f[ f as' as] g[ g es, es] f[ f c' c] | % 29
  h[ h f' f] es[ es c' c] d,[ d c' c] d,[ d h' h] | \barNumberCheck #30
  c[ c g g] es[ es g g] c,[ c es es] as,[ as c c] | % 31
  f,[ f as' as] f[ f as as] d,[ d f f] b,[ b d d] | % 32
  g,[ g b' b] g[ g b b] es,[ es g g] c,[ c es es] | % 33
  <d h'>2:16\ff <es c'>2:16 | % 34
  <es g, g,>4 r <g, d' h'>4 r | % 35
  c,16[(\fz d es d]) c[( d es d]) c[( d es f] g[ a h c]) | % 36
  d,[(\fz es f es]) d[( es f es]) d[( es f g] a[ h c d]) | % 37
  e,[(\fz f g f]) e[( f g f]) e[( f g a] b[ c d e]) | % 38
  f,[(\fz g as b] c[ d e f]) g,[(\fz as b c] d[ e f g]) | % 39
  as,[(\fz b c d] e[ f g as]) h,[(\fz c d es] f[ g a h]) | \barNumberCheck #40
  c[\f c g g] es[ es c c] g'[ g es es] c[ c g g] | % 41
  es'[ es c c] g[ g es es] c'[ c g g] es[ es c c] | % 42
  g4 <d' h'> <es c'> <c' es> | % 43
  <h d> <g d' h'>4 <g es' c'> <fis' a,> | % 44
  g8[( fis16 e] d[ c h a]) <g g,>4 <g g,> | % 45
  <g g,>2 r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  g,16[(\p a h a]) g[( a h a]) g[ g h h] d[ d g g] | % 78
  g,[( a h a]) g[( a h a]) g[ g h h] d[ d g g] | % 79
  h,[( c d c]) h[( c d c]) h[ h d d] g[ g h h] | \barNumberCheck #80
  h,[( c d c]) h[( c d c]) h[ h d d] g[ g h h] | % 81
  d,[(\cresc c h c]) d[( c h c]) d[ d g g] h[ h d d] | % 82
  d,[( c h c]) d[( c h c]) d[ d g g] h[ h d d] | % 83
  h[(\f c d es] f[ es d c]) h[( as g f] es[ d c h]) | % 84
  c[ c c' c] d,[ d d' d] es,[ es es' es] c,[ c c' c] | % 85
  h[ h g' g] d[ d h h] g[ g d d] h[ h g g] | % 86
  c8[ d16 es] f[ g a h] c[ d es f] g[ a h c] | % 87
  h[ h g g] d[ d h h] g[ g d d] h[ h g g] | % 88
  c8[ d16 es] f[ g a h] c[ d es f] g[ a h c] | % 89
  h[ h g g] d[ d h h] g4 r | \barNumberCheck #90
  as16[\fz as es es] c[ c es es] as[\fz as es es] c[ c es es] | % 91
  as[\fz as f f] des[ des f f] as[\fz as des des] f[ f as as] | % 92
  ges[\f ges es es] c[ c as as] ges[ ges es es] as,[ as ges' ges] | % 93
  f[ f des des] f[ f as as] des[ des as as] des[ des f f] | % 94
  b,[\fz b f f] d[ d f f] b[\fz b f f] d[ d f f] | % 95
  b[\fz b g g] es[ es g g] b[\fz b es es] g[ g b b] | % 96
  as[\f as f f] d[ d b b] as[ as f f] b,[ b as' as] | % 97
  g[ g es es] g[ g b b] es[ es b b] es[ es g g] | % 98
  f[ f f, f] es[ es es' es] d[ d d, d] c[ c c' c] | % 99
  h[ h g, g] h[ h d d] g[ g c c] es[ es g g] | \barNumberCheck #100
  f[ f f, f] es[ es es' es] d[ d d, d] c[ c c' c] | % 101
  h[ h g g] d[ d h h] c[ c es es] g[ g c c] | % 102
  h[ h c c] d[ d es es] d[ d es es] f[ f g g] | % 103
  as[\fz as d,, d] f[ f as' as] g[ g es, es] f[ f c' c] | % 104
  h[ h f'f] es[ es c' c] d,[ d c' c] d,[ d h' h] | % 105
  c[ c g g] es[ es g g] c,[ c es es] as,[ as c c] | % 106
  f,[ f as' as] f[ f as as] d,[ d f f] b,[ b d d] | % 107
  g,[ g b' b] g[ g b b] es,[ es g g] c,[ c es es] | % 108
  <d h'>2:16\ff <es c'>2:16 | % 109
  <es g, g,>4 r <g, d' h'> r | \barNumberCheck #110
  c,16[(\fz d es d]) c[( d es d]) c[( d es f] g[ a h c]) | % 111
  d,[(\fz es f es]) d[( es f es]) d[( es f g] a[ h c d]) | % 112
  e,[(\fz f g f]) e[( f g f]) e[( f g a] b[ c d e]) | % 113
  f,[(\fz g as b] c[ d e f]) g,[(\fz as b c] d[ e f g]) | % 114
  as,[(\fz b c d] e[ f g as]) h,[(\fz c d es] f[ g a h]) | % 115
  c[\f c g g] es[ es c c] g'[ g es es] c[ c g g] | % 116
  es'[ es c c] g[ g es es] c'[ c g g] es[ es c c] | % 117
  g'4 r <g d' h'> r |
  <c, g' es' c'> r \acciaccatura {g32[ a h]} c4 r |
  \acciaccatura {g32[ a h]} c4 r r2 \bar"|."
}
\addQuote "SiConsistantVIMusic" { \SiConsistantVIMusic }


SiConsistantVIIMusic = \relative c' {
  <es g,>16[\f <es g,> <es g,> <es g,>] <es g,>4:16 <es g,> r | % 2
  <es g,>2:16 <es g,>4 r | % 3
  <f g,>2:16 <f g,>2:16 | % 4
  <es g,>2:16 <es g,>4 r | % 5
  <f g,>2:16 <f g,>2:16 | % 6
  <es g,>2:16 <es g,>4 r | % 7
  c'4-| c-| c,16[( d es f] g[ a h c]) | % 8
  as4-| g-| g,16[( a h c] d[ es f g]) | % 9
  f[ f f' f] es[ es es, es] d[ d d' d] c[ c c, c] | \barNumberCheck #10
  <d h'>2:16 <d h'>2:16 | % 11
  <es c'>2:16 <es c'>2:16 | % 12
  <d h'>2:16 <d h'>2:16 | % 13
  <es c'>2:16 <es c'>2:16 | % 14
  <h' d,>16[ h g g] d[ d h h] g4 r | % 15
  es'2:16\fz es2:16\fz | % 16
  f2:16\fz f2:16\fz | % 17
  es2:16\f es2:16 | % 18
  des2:16 des2:16 | % 19
  f2:16\fz f2:16\fz | \barNumberCheck #20
  g2:16\fz g2:16\fz | % 21
  f2:16\f f2:16 | % 22
  es2:16 es16[ es g g] b[ b es es] | % 23
  d[ d d, d] c[ c c' c] h[ h h, h] a[ a a' a] | % 24
  g[ g h, h] d[ d g g] es[ es g g] c[ c es es] | % 25
  d[ d d, d] c[ c c' c] h[ h h, h] a[ a a' a] | % 26
  g[ g d d] h[ h d d] g,[ g c c] es[ es g g] | % 27
  as[ as g g] f[ f es es] as[ as g g] f[ f es es] | % 28
  d[\fz d f' f] as[ as d,, d] es[ es g' g] f[ f c c] | % 29
  f[ f d d] c[ c es es] d[ d c' c] d,[ d h'h] | \barNumberCheck #30
  c,[ c g' g] es[ es g g] c,[ c es es] as,[ as c c] | % 31
  f,[ f as' as] f[ f as as] d,[ d f f] b,[ b d d] | % 32
  g,[ g b' b] g[ g b b] es,[ es g g] c,[ c es es] | % 33
  as2:16\ff a2:16 | % 34
  <g c, es, g,> 4 r < h, d, g,> r | % 35
  <es, g,>2:16\fz <es g,>4 r | % 36
  <f as,>2:16\fz <f as,>4 r | % 37
  <g b,>2:16\fz <g b,>4 r | % 38
  <as c,>2:16\fz e2:16\fz | % 39
  f2:16\fz d2:16\fz | \barNumberCheck #40
  es16[\f es g' g] es[ es c c] g[ g es' es] c[ c g g] | % 41
  es[ es c' c] g[ g es es] c[ c g' g] es[ es c c] | % 42
  g4 <g d' h'> <g es' c'> <fis' a> | % 43
  <g h> <h d, g,> <c es, g,> <c es,> | % 44
  <h d,> r g8[( fis16 e] d[ c h a]) | % 45
  g2 r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  g2:16\p g4 r | % 78
  g2:16 g4 r | % 79
  g16[( a h a]) g[( a h a]) g[ g h h] d[ d g g] | \barNumberCheck #80
  g,[( a h a]) g[( a h a]) g[ g h h] d[ d g g] | % 81
  h,[(\cresc c d c]) h[( c d c]) h[ h d d] g[ g h h] | % 82
  h,[( c d c]) h[( c d c]) h[ h d d] g[ g h h] | % 83
  <f g,>2:16\f <f g,>4:16 <d g,>4:16 | % 84
  g4:16 f4:16 es4:16 c'4:16 | % 85
  <d, h'>2:16 <d h'>2:16 | % 86
  <es c'>2:16 <es c'>2:16 | % 87
  <d h'>2:16 <d h'>2:16 | % 88
  <es c'>2:16 <es c'>2:16 | % 89
  <h' d,>16[ h g g] d[ d h h] g4 r | \barNumberCheck #90
  es'2:16\fz es2:16\fz | % 91
  f2:16\fz f2:16\fz | % 92
  es2:16\f es2:16 | % 93
  des2:16 des2:16 | % 94
  f2:16\fz f2:16\fz | \barNumberCheck #95
  g2:16\fz g2:16\fz | % 95
  f2:16\f f2:16 | % 97
  es2:16 es16[ es g g] b[ b es es] | % 98
  d[ d d, d] c[ c c' c] h[ h h, h] a[ a a' a] | % 99
  g[ g h, h] d[ d g g] es[ es g g] c[ c es es] | \barNumberCheck #100
  d[ d d, d] c[ c c' c] h[ h h, h] a[ a a' a] | % 101
  g[ g d d] h[ h d d] g,[ g c c] es[ es g g] | % 102
  as[ as g g] f[ f es es] as[ as g g] f[ f es es] | % 103
  d[\fz d f' f] as[ as d,, d] es[ es g' g] f[ f c c] | % 104
  f[ f d d] c[ c es es] d[ d c' c] d,[ d h'h] | \barNumberCheck #105
  c,[ c g' g] es[ es g g] c,[ c es es] as,[ as c c] | % 106
  f,[ f as' as] f[ f as as] d,[ d f f] b,[ b d d] | % 107
  g,[ g b' b] g[ g b b] es,[ es g g] c,[ c es es] | % 108
  as2:16\ff a2:16 | % 109
  <g c, es, g,> 4 r < h, d, g,> r | \barNumberCheck #110
  <es, g,>2:16\fz <es g,>4 r | % 111
  <f as,>2:16\fz <f as,>4 r | % 112
  <g b,>2:16\fz <g b,>4 r | % 113
  <as as,>2:16\fz e2:16\fz | % 114
  f2:16\fz d2:16\fz | \barNumberCheck #115
  es16[\f es g' g] es[ es c c] g[ g es' es] c[ c g g] | % 116
  es[ es c' c] g[ g es es] c[ c g' g] es[ es c c] | % 117
  g4 r <g d' h' g'> r | % 118
  <g es' c'> r \acciaccatura {g32[ a h]} c4 r | % 119
  \acciaccatura {g32[ a h]} c4 r r2 \bar"|."
}
\addQuote "SiConsistantVIIMusic" { \SiConsistantVIIMusic }


SiConsistantVaMusic = \relative c' {
  <c c,>2:16\f <c c,>4 r | % 2
  <c c,>2:16 <c c,>4 r | % 3
  <h d>2:16 <h d>2:16 | % 4
  c2:16 c4 r | % 5
  <h d>2:16 <h d>2:16 | % 6
  c2:16 c4 r | % 7
  f4-| g-| c,8[ g es c] | % 8
  <f' c'>4-| <g c>-| es8[ c g es] | % 9
  c'2:16 as'4:16 f4:16 | \barNumberCheck #10
%%%%%%%%%%%%%%%%%%%%
  g2:16 g2:16 | % 11
  g2:16 <fis a>2:16 | % 12
  g2:16 g2:16 | % 13
  g2:16 <fis a>2:16 | % 14
  g16[ g d d] h[ h d d] g,4 r | \barNumberCheck #15
  c2:16\fz c2:16\fz | % 16
  des2:16\fz des2:16\fz | % 17
  as2:16\f as2:16 | % 18
  as2:16 as2:16 | % 19
  d2:16\fz d2:16\fz | \barNumberCheck #20
  es2:16\fz es2:16\fz | % 21
  b2:16\f b2:16 | % 22
  b2:16 b4:16 g4:16 | % 23
  h4:16 c4:16 d4:16 fis4:16 | % 24
  g16[ g d d] h[ h g g] g'[ g es es] c[ c g g] | \barNumberCheck #25
  h4:16 c4:16 d4:16 fis4:16 | % 26
  g16[ g, g g] g4:16 g16[ g' g g] g4:16 | % 27
  d16[ d es es] h[ h c c] h[ h c c] d[ d es es] | % 28
  f16[\fz f d d] d'[ d f, f] es[ es c c] c'[ c f, f] | % 29
  g2:16 g4:16 g,4:16 | \barNumberCheck #30
  c8[ c' c, c'] as,[ as' f, f'] | % 31
  d,[ f' d d'] b,[ b' g, g'] | % 32
  es,[ g' es es'] c,[ c' as, as'] | % 33
  <f d'>2:16\ff <es c'>2:16 | % 34
  <g g,>4 r <g g,>4 r | \barNumberCheck #35
  c,2:16\fz c4 r | % 36
  <h d>2:16\fz <h d>4 r | % 37
  <b e>2:16\fz <b e>4 r | % 38
  <as f'>2:16\fz <c g'>2:16\fz | % 39
  <c as'>2:16\fz <f as>2:16\fz | \barNumberCheck #40
  <es g>4 r8 c\f g'[ es c g] | % 41
  es'[ c g es] c'[ g es c] | % 42
%%%%%%%%%%%%%%%%%%%%%
  g'8[ g' f g] es[ g es c] | % 43
  g[ g' f g] es[ g es c] | % 44
  g4 r <h d> <h d> | \barNumberCheck #45
  <h d>2 r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  <h d,>2:16\p <h d,>4 r | % 78
  <h d,>2:16 <h d,>4 r | % 79
  <d g,>2:16 <d g,>4 r | \barNumberCheck #80
  <d g,>2:16 <d g,>4 r | % 81
  <d g,>2:16\cresc <d g,>4 r | % 82
  <d g,>2:16 <d g,>4 r | % 83
  <d h>2:16\f <d h>2:16 | % 84
  <g g,>2:16 <g g,>4:16 fis4:16 | \barNumberCheck #85
%%%%%%%%%%
  g2:16 g2:16 | % 86
  g2:16 <fis a>2:16 | % 87
  g2:16 g2:16 | % 88
  g2:16 <fis a>2:16 | % 89
  g16[ g d d] h[ h d d] g,4 r | \barNumberCheck #90
  c2:16\fz c2:16\fz | % 91
  des2:16\fz des2:16\fz | % 92
  as2:16\f as2:16 | % 93
  as2:16 as2:16 | % 94
  d2:16\fz d2:16\fz | \barNumberCheck #95
  es2:16\fz es2:16\fz | % 96
  b2:16\f b2:16 | % 97
  b2:16 b4:16 g4:16 | % 98
  h4:16 c4:16 d4:16 fis4:16 | % 99
  g16[ g d d] h[ h g g] g'[ g es es] c[ c g g] | \barNumberCheck #100
  h4:16 c4:16 d4:16 fis4:16 | % 101
  g16[ g, g g] g4:16 g16[ g' g g] g4:16 | % 102
  d16[ d es es] h[ h c c] h[ h c c] d[ d es es] | % 103
  f16[\fz f d d] d'[ d f, f] es[ es c c] c'[ c f, f] | % 104
  g2:16 g4:16 g,4:16 | \barNumberCheck #105
  c8[ c' c, c'] as,[ as' f, f'] | % 106
  d,[ f' d d'] b,[ b' g, g'] | % 107
  es,[ g' es es'] c,[ c' as, as'] | % 108
  <f d'>2:16\ff <es c'>2:16 | % 109
  <g g,>4 r <g g,>4 r | \barNumberCheck #110
  c,2:16\fz c4 r | % 111
  <h d>2:16\fz <h d>4 r | % 112
  <b e>2:16\fz <b e>4 r | % 113
  <as f'>2:16\fz <c g'>2:16\fz | % 114
  <c as'>2:16\fz <f as>2:16\fz | \barNumberCheck #115
  <es g>4 r8 c\f g'[ es c g] | % 116
  es'[ c g es] c'[ g es c] | % 117
%%%%%%%
  g'4 r <g d'h'> r | % 118
  <c, g' es' c'> r \acciaccatura {g'32[ a h]} <c c,>4 r | % 119
  \acciaccatura {g32[ a h]} <c c,>4 r4 r2 \bar"|."
}
\addQuote "SiConsistantVaMusic" { \SiConsistantVaMusic }

SiConsistantSMusic = \relative c'' {
  \cueText "Tutti" R1 | % 2
  r2 r4 g8\f g | % 3
  f'4 d8 d h4 g8 g | % 4
  es'4 c r g8 g | % 5
  f'4 d8 d h4 g8 g | % 6
  es'8. c16 c4 r c8 c | % 7
  f4 es r c8 c | % 8
  as'4 g r g8 g | % 9
  f4 es8 es d4 c8 c | \barNumberCheck #10
  h4 g g'2 | % 11
  r4 c,8 c es4 d8 c | % 12
  h4 g g'2 | % 13
  r4 c,8 c es4 d8 c | % 14
  g'4 g, r g8 g | % 15
  as4 as8 as as4 as8 as | % 16
  des4. as8 as4 as | % 17
  ges'2 es4 c8 ges | % 18
  f4 as r f8 f | % 19
  b4 b8 b b4 b8 b | \barNumberCheck #20
  es4. b8 b4 b | % 21
  as'2 f4 d8 as | % 22
  g4 b r g'8 g | % 23
  f4 es8 es d4 c8 c | % 24
  h4 g r g'8 g | % 25
  f4 es8 es d4 c8 c | % 26
  h8. g16 g4 r c8 c | % 27
  h8[( c]) d es d[( es]) f g | % 28
  as2\fz g4 f8 f | % 29
  f4 es8 es d2 | \barNumberCheck #30
  c4 es c r | % 31
  r f d r | % 32
  r g es c | % 33
  as'2 r4 c,8\ff c | % 34
  es4 d8 c g'2 | % 35
  c,4 r r2 | % 36
  R1*9 | \barNumberCheck #45
  r2 r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII \cueText "Tutti" r2 r4 g8\p g | % 78
  g4 g8 g g4 g8 g | % 79
  h4 g r g8 g | \barNumberCheck #80
  h4 h8 h h4 h8 h | % 81
  d4\cresc h4 r h8 h | % 82
  d4 d8 d d4 d8 d | % 83
  f4.\f d8 h4 h8 h | % 84
  c4 d8 d es4 c8 c  | % 85
  h4 g g'2 | % 86
  r4 c,8 c es4 d8 c | % 87
  h4 g g'2 | % 88
  r4 c,8 c es4 d8 c | % 89
  g'4 g, r g8 g | \barNumberCheck #90
  as4 as8 as as4 as8 as | % 91
  des4. as8 as4 as | % 92
  ges'2 es4 c8 ges8 | % 93
  f4 a r f8 f | % 94
  b4 b8 b b4 b8 b | % 95
  es4. b8 b4 b | % 96
  as'2 f4 d8 as | % 97
  g4 b r g'8 g | % 98
  f4 es8 es d4 c8 c | % 99
  h4 g r g'8 g | \barNumberCheck #100
  f4 es8 es d4 c8 c | % 101
  h8. g16 g4 r c8 c | % 102
  h8[( c]) d es d[( es]) f g | % 103
  as2\fz g4 f8 f | % 104
  f4 es8 es d2 | % 105
  c4 es c r | % 106
  r f d r | % 107
  r g es c | % 108
  as'2 r4 c,8\ff c | % 109
  es4 d8 c g'2 | \barNumberCheck #110
  c,4 r r2 | % 111
  R1*9 \bar"|."
}
\addQuote "SiConsistantSMusic" { \SiConsistantSMusic }

SiConsistantSLyrics = \lyricmode {
  Si con -- si -- stant ad ver -- sum me ca -- stra,
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um
  non ti -- me -- bit
  non ti -- me -- bit
  non ti -- me -- bit ti -- me -- bit cor me -- um non
  % 11
  non ti -- me -- bit cor me -- um non
  non ti -- me -- bit cor me -- um 
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um 
  in hoc e -- go spe -- ra -- bo
  si ex -- ur -- gat ad ver -- sum me
  % 20
  prae -- li -- um in hoc e -- go spe -- ra -- bo
  si con -- si -- stant ad -- ver -- sum me ca -- stra
  si ex -- ur -- gat ad -- ver -- sum me prae -- li -- um,
  % 26
  non ti -- me -- bit ti -- me -- bit cor me -- um, non ti -- me -- bit cor me -- um non non
  % 31
  non non
  non non non non
  non ti -- me -- bit cor me -- um.
  
  %77
  Si con -- si -- stant ad ver -- sum me ca -- stra 
  si con -- si -- stant ad ver -- sum me ca -- stra 
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um 
  non ti -- me -- bit, ti -- me -- bit cor me -- um non
  % 86
  non ti -- me -- bit cor me -- um non
  non ti -- me -- bit cor me -- um
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um 
  in hoc e -- go spe -- ra -- bo
  % 93
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um 
  in hoc e -- go spe -- ra -- bo
  % 97
  se con -- si -- stant ad ver -- sum me ca -- stra
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um
  non ti -- me -- bit ti -- me -- bit cor me -- um
  non ti -- me -- bit cor me -- um non non
  non non
  non non non non
  non ti -- me -- bit cor me -- um.
}

SiConsistantAMusic = \relative c'' {
  \cueText "Tutti" R1 | % 2
  r2 r4 g8\f g | % 3
  g4 g8 g g4 g8 g | % 4
  g4 g r g8 g | % 5
  g4 g8 g g4 g8 g8 | % 6
  g8. g16 g4 r g8 g | % 7
  f4 g r es8 es | % 8
  f4 g r es8 es | % 9
  f4 g8 g as4 f8 f | \barNumberCheck #10
  g4 g h2 | % 11
  r4 c8 c a4 a8 a | % 12
  g4 g h2 | % 13
  r4 c8 c a4 a8 a | % 14
  h4 g r d8 d | % 15
  es4 es8 es es4 es8 es | % 16
  des4. f8 f4 f | % 17
  as2 as4 es8 es | % 18
  des4 f r f8 f | % 19
  f4 f8 f f4 f8 f | \barNumberCheck #20
  es4. g8 g4 g | % 21
  b2 b4 f8 f | % 22
  es4 g r g8 g | % 23
  g4 g8 g g4 fis8 fis | % 24
  g4 g r g8 g | % 25
  g4 g8 g g4 fis8 fis | % 26
  g8. g16 g4 r g8 g | % 27
  as8[( g]) f es as[( g]) f es | % 28
  d2\fz es4 f8 f | % 29
  g4 g8 g g2 | \barNumberCheck #30
  es4 r r as | % 31
  f r r b | % 32
  g r r c | % 33
  h2 r4 c8\ff a8 | % 34
  g4 g8 g h2 | % 35
  c4 r r2 | % 36
  R1*9 | \barNumberCheck #45
  r2 r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII \cueText "Tutti" r2 r4 d,8\p d | % 78
  d4 d8 d d4 d8 d | % 79
  d4 d r d8 d | \barNumberCheck #80
  g4 g8 g g4 g8 g | % 81
  g4\cresc g r g8 g | % 82
  g4 g8 g g4 g8 g | % 83
  g4.\f g8 g4 g8 g | % 84
  g4 g8 g g4 fis8 fis | % 85
  g4 g h2 | % 86
  r4 c8 c a4 a8 a | % 87
  g4 g h2 | % 88
  r4 c8 c a4 a8 a | % 89
  h4 g r d8 d | \barNumberCheck #90
  es4 es8 es es4 es8 es | % 91
  des4. f8 f4 f | % 92
  as2 as4 es8 es | % 93
  des4 f r f8 f | % 94
  f4 f8 f f4 f8 f | % 95
  es4. g8 g4 g | % 96
  b2 b4 f8 f | % 97
  es4 g r g8 g | % 98
  g4 g8 g g4 fis8 fis | % 99
  g4 g r g8 g | \barNumberCheck #100
  g4 g8 g g4 fis8 fis | % 101
  g8. g16 g4 r g8 g | % 102
  as8[( g]) f es as[( g]) f es | % 103
  d2\fz es4 f8 f | % 104
  g4 g8 g g2 | % 105
  es4 r r as | % 106
  f r r b | % 107
  g r r c | % 108
  h2 r4 c8\ff a8 | % 109
  g4 g8 g h2 | \barNumberCheck #110
  c4 r r2 | % 111
  R1*9 \bar "|."
}
\addQuote "SiConsistantAMusic" { \SiConsistantAMusic }

SiConsistantALyrics = \lyricmode {
  Si con -- si -- stant ad ver -- sum me ca -- stra,
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um
  non ti -- me -- bit
  non ti -- me -- bit
  non ti -- me -- bit ti -- me -- bit cor me -- um non
  % 11
  non ti -- me -- bit cor me -- um non
  non ti -- me -- bit cor me -- um 
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um 
  in hoc e -- go spe -- ra -- bo
  si ex -- ur -- gat ad ver -- sum me
  % 20
  prae -- li -- um in hoc e -- go spe -- ra -- bo
  si con -- si -- stant ad -- ver -- sum me ca -- stra
  si ex -- ur -- gat ad -- ver -- sum me prae -- li -- um,
  % 26
  non ti -- me -- bit ti -- me -- bit cor me -- um, non ti -- me -- bit cor me -- um non non
  % 31
  non non
  non non
  non ti -- me -- bit cor me -- um.
  
  %77
  Si con -- si -- stant ad ver -- sum me ca -- stra 
  si con -- si -- stant ad ver -- sum me ca -- stra 
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um 
  non ti -- me -- bit, ti -- me -- bit cor me -- um non
  % 86
  non ti -- me -- bit cor me -- um non
  non ti -- me -- bit cor me -- um
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um 
  in hoc e -- go spe -- ra -- bo
  % 93
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um 
  in hoc e -- go spe -- ra -- bo
  % 97
  se con -- si -- stant ad ver -- sum me ca -- stra
  si ex -- ur -- gat ad ver -- sum me prae -- li -- um
  non ti -- me -- bit ti -- me -- bit cor me -- um
  non ti -- me -- bit cor me -- um non non
  non non
  non non
  non ti -- me -- bit cor me -- um.
}


SiConsistantTMusic = \relative c' {
  \cueText "Tutti" R1 | % 2
  r2 r4 es8\f es | % 3
  d4 f8 f d4 f8 f | % 4
  c4 es r es8 es | % 5
  d4 f8 f d4 f8 f | % 6
  c8. es16 es4 r es8 es | % 7
  c4 c r c8 c | % 8
  c4 c r c8 c | % 9
  c4 c8 c c4 c8 c | \barNumberCheck #10
  d4 h d2 | % 11
  r4 es8 es c4 d8 es | % 12
  d4 h d2 | % 13
  r4 es8 es c4 d8 es | % 14
  es4 h r h8 h | % 15
  c4 c8 c c4 c8 c | % 16
  as4. des8 des4 des | % 17
  es2 c4 as8 as | \barNumberCheck #18
  as4 des4  r des8 des | % 19
  d4 d8 d d4 d8 d | \barNumberCheck #20
  b4. es8 es4 es | % 21
  f2 d4 b8 b | % 22
  b4 g r g8 g | % 23
  d'4 c8 c h4 c8 c | % 24
  d4 h r g8 g | % 25
  d'4 c8 c h4 c8 c | % 26
  d8. h16 h4 r c8 c | % 27
  d8[( es]) h c h[( c]) d es | \barNumberCheck #28
  f2\fz es4 c8 c | % 29
  h4 c8 c c4( h) | \barNumberCheck #30
  c4 c es r | % 31
  r d f r | % 32
  r es g es | % 33
  d2 r4 es8\ff es | % 34
  c4 d8 es d2 | % 35
  c4 r r2 | % 36
  R1*9 | \barNumberCheck #45
  r2 r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII r2 r4 \cueText "Tutti" h8\p h | % 78
  h4 h8 h h4 h8 h | % 79
  g4 h4 r h8 h | \barNumberCheck #80
  d4 d8 d d4 d8 d | % 81
  h4\cresc d4 r d8 d | % 82
  h4 h8 h h4 h8 h | % 83
  h4.\f d8 f4 d8 d | % 84
  g,4 g8 g g4 c8 c | % 85
  d4 h d2 | % 86
  r4 es8 es c4 d8 es | % 87
  d4 h d2 | % 88
  r4 es8 es c4 d8 es | % 89
  d4 h r h8 h | \barNumberCheck #90
  c4 c8 c c4 c8 c | % 91
  as4. des8 des4 des | % 92
  es2 c4 as8 as | % 93
  as4 des r des8 des | % 94
  d4 d8 d d4 d8 d | % 95
  b4. es8 es4 es | % 96
  f2 d4 b8 b | % 97
  b4 g r g8 g | % 98
  d'4 c8 c h4 c8 c | % 99
  d4 h r g8 g | \barNumberCheck #100
  d'4 c8 c h4 c8 c | % 101
  d8. h16 h4 r c8 c | % 102
  d[( es]) h c h[( c]) d es | % 103
  f2\fz es4 c8 c | % 104
  h4 c8 c c4( h) | % 105
  c4 c es r | % 106
  r d f r | % 107
  r es g c, | % 108
  d2 r4 es8\ff es | % 109
  c4 d8 es d2 | \barNumberCheck #110
  c4 r r2 | % 111
  R1*9 \bar"|."
}
\addQuote "SiConsistantTMusic" { \SiConsistantTMusic }

SiConsistantTLyrics = \SiConsistantSLyrics


SiConsistantTSoloIMusic = \relative c' {
  R1*44 | \barNumberCheck #45
  r2 r4\fermata \bar"||"  \TClef \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*7 | % 53
  r4 r \cueText "Tenore 1 Solo" g8 c | % 54
  e4. f16[ e] d8 c | % 55
  h8. c32[ d] c8 r g16[\( c] e[ g]\) | % 56
  g4~ g16[ e] a16[ g] f8 e | % 57
  d8. e32[ f] e8 r c16[\(\p h] d[ c]\) | % 58
  e4 d8 r d16[\cresc c] e[ d] | % 59
  f4 e8 r e\f g | \barNumberCheck #60
  c,4. d16 e \slashedGrace g8 f8 e | % 61
  d4 r r | % 62
  r r d8 d | % 63
  d8. c16 h8 g' fis e | % 64
  \slashedGrace e8 d8. c16 h8 d\cresc e fis | % 65
  g4.\f fis16 e e[( d]) d[( cis]) | % 66
  e8.[ d16] d8 r r4 | % 67
  r r g16[\( fis] e[ d]\) | % 68
  d4. e16 d c[\( h] a[ g]\) | % 69
  h4( a8) r g'16[\( fis] e[ d]\) | \barNumberCheck #70
  d4. e16[ d] c[ h] a[ gis] | % 71
  a[(\melisma gis h a]) c[( h d c] fis[ e])\melismaEnd c[ a] | % 72
  g2 \grace h8 a4 | % 73
  g4 r a8\p a | % 74
  c8.[ h16] h8 r fis'8\f fis | % 75
  fis8.[ g16] g8 r g8\ff g | % 76
  g16[ es] c a g4. \slashedGrace h8 a \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  g4 r r r | % 78
  R1*42 \bar"|."
}
\addQuote "SiConsistantTSoloIMusic" { \SiConsistantTSoloIMusic }

SiConsistantTSoloILyrics = \lyricmode {
  U -- nam pe -- ti -- i a Do -- mi -- no, 
  u -- nam pe -- ti -- i a Do -- mi -- no
  hanc re -- qui -- ram 
  hanc re -- qui -- ram
  hand re -- qui -- ram a Do -- mi -- no
  % 62
  ut in ha -- bi -- tem in do -- mo Do -- mi -- ni 
  di -- e -- bus om -- ni -- bus vi -- tae -- me -- ae
  u -- nam pe -- ti -- i hanc re -- qui -- ram 
  ut in ha -- bi -- tem in do -- mo Do -- mi -- ni
  hanc re -- qui -- ram, hanc re -- qui -- ram, 
  hanc re -- qui -- ram a Do -- mi -- no.
}

SiConsistantTSoloIIMusic = \relative c' {
  R1*44 | \barNumberCheck #45
  r2 r4\fermata \bar"||"  \TClef \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*7 | % 53
  r4 r \cueText "Tenore 2 Solo" g8 g | % 54
  c4. c8 g8 g | % 55
  g8. g16 g8 r e16[( g]) c[( e]) | % 56
  e4~ e16[ c] f[ e] d8 c | % 57
  h8. c32[( d]) c8 r g\p g | % 58
  c4 h8 r h16[(\cresc a]) c[( h]) | % 59
  d4 c8 r e\f d | \barNumberCheck #60
  g,4. h16 c d8 c | % 61
  h4 r r | % 62
  r r c8 c | % 63
  h8. a16 g8 e' d c | % 64
  \acciaccatura c h8. a16 g8 h\cresc h h | % 65
  h4.\f a16 g g[\p fis] fis[ e] | % 66
  cis'8.[ d16] d8 r r4 | % 67
  R2. | % 68
  r8 c8[( h]) g4 g8 | % 69
  g4 fis8 r r4 | \barNumberCheck #70
  r8 c' h g r d' | % 71
  e,4.( a8) c[( e]) | % 72
  d,8[\f( e16 fis] g[ a h c] d8.) c16 | % 73
  h4 r fis8\p fis | % 74
  a8.[( g16]) g8 r c\f c | % 75
  c8.( h16]) h8 r d\ff d | % 76
  e,16[ a] c e h8( d4) c8 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII h4 r r2 | % 78
  R1*42 \bar"|."
}
\addQuote "SiConsistantTSoloIIMusic" { \SiConsistantTSoloIIMusic }

SiConsistantTSoloIILyrics = \lyricmode {
  U -- nam pe -- ti -- i a Do -- mi -- no, % TODO: Final -- missing in voice
  u -- nam pe -- ti -- i a Do -- mi -- no,
  hanc re -- qui -- ram 
  hanc re -- qui -- ram,
  hand re -- qui -- ram a Do -- mi -- no.
  % 62
  Ut in ha -- bi -- tem in do -- mo Do -- mi -- ni 
  di -- e -- bus om -- ni -- bus vi -- tae -- me -- ae % TODO: -- zwischen vitae und meae ist zu viel!
  hanc hanc re -- qui -- ram,
  in do -- mo in do -- mo Do -- mi -- ni % TODO: -- zwischen domo und in ist zu viel!
  hanc re -- qui -- ram, hanc re -- qui -- ram, 
  hanc re -- qui -- ram, a Do -- mi -- no.
}

SiConsistantBMusic = \relative c' {
  \cueText "Tutti" R1 | % 2
  r2 r4 c8\f c | % 3
  c4 c8 c c4 c8 c | % 4
  c4 c, r c'8 c | % 5
  c4 c8 c c4 c8 c | % 6
  c8. c,16 c4 r c'8 c | % 7
  as4 g r c8 c | % 8
  f,4 es r c8 c | % 9
  as'4 g8 g f4 as8 as | \barNumberCheck #10
  g4 g g2 | % 11
  r4 g8 g g4 g8 g | % 12
  g4 g g2 | % 13
  r4 g8 g g4 g8 g | % 14
  g4 g r g8 g | % 15
  ges4 ges8 ges ges4 ges8 ges | % 16
  f4. f8 f4 f | % 17
  c2 c4 c8 c | % 18
  des4 des r des8 des | % 19
  as'4 as8 as as4 as8 as | \barNumberCheck #20
  g4. g8 g4 g | % 21
  d2 d4 d8 d | % 22
  es4 es r g8 g | % 23
  g4 g8 g g4 g8 g | % 24
  g4 g r g8 g | % 25
  g4 g8 g g4 g8 g | % 26
  g8. g16 g4 r es8 es | % 27
  f8[( es]) d c f[( es]) d c | % 28
  h2\fz c4 as'8 as | % 29
  g4 c8 c g2 | \barNumberCheck #30
  c,4 r r f | % 31
  d r r g | % 32
  es r r as | % 33
  f2 r4 fis8\ff fis | % 34
  g4 g8 g g,2 | % 35
  c4 r r2 | % 36
  R1*9 | \barNumberCheck #45
  r2 r4\fermata \bar"||"  \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*31 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII r2 r4 \cueText "Tutti" g'8\p g | % 78
  g4 g8 g g4 g8 g | % 79
  g4 g, r g'8 g | \barNumberCheck #80
  g4 g8 g g4 g8 g | % 81
  g4\cresc g, r g'8 g | % 82
  g4 g8 g g4 g8 g | % 83
  g4.\f g8 g4 f8 f | % 84
  es4 h8 h c4 as'8 as | % 85
  g4 g g2 | % 86
  r4 g8 g g4 g8 g | % 87
  g4 g g2 | % 88
  r4 g8 g g4 g8 g | % 89
  g4 g r g8 g | \barNumberCheck #90
  ges4 ges8 ges ges4 ges8 ges | % 91
  f4. f8 f4 f | % 92
  c2 c4 c8 c | % 93
  des4 des r des8 des | % 94
  as'4 as8 as as4 as8 as | % 95
  g4. g8 g4 g | % 96
  d2 d4 d8 d | % 97
  es4 es r g8 g | % 98
  g4 g8 g g4 g8 g | % 99
  g4 g r g8 g | \barNumberCheck #100
  g4 g8 g g4 g8 g | % 101
  g8. g16 g4 r es8 es | % 102
  f8[( es]) d c f[( es]) d c | % 103
  h2\fz c4 as'8 as | % 104
  g4 c8 c g2 | % 105
  c,4 r r f | % 106
  d r r g | % 107
  es r r as | % 108
  f2 r4 fis8\ff fis | % 109
  g4 g8 g g,2 | \barNumberCheck #110
  c4 r r2 | % 111
  R1*9 \bar "|."
}
\addQuote "SiConsistantBMusic" { \SiConsistantBMusic }

SiConsistantBLyrics = \SiConsistantALyrics


SiConsistantBSoloIMusic = \relative c {
  R1*44 | \barNumberCheck #45
  r2 r4\fermata \bar"||"  \BClef \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*7 | % 53
  r4 r \cueText "Basso 1 Solo" e8 e | % 54
  g4. a16[ g] f8 e | % 55
  d8. e32[ f] e8 r e g | % 56
  c4. c8 g8 g | % 57
  g8. g16 g8 r e16[\(\p d] f[ e]\) | % 58
  g4 g8 r g\cresc g | % 59
  g4 g8 r8 c8\f h | \barNumberCheck #60
  c4. g16 g g8 g | % 61
  g4 r r | % 62
  r r a8 a | % 63
  g8. g16 g8 g g g | % 64
  g8. g16 g8 g\cresc h a | % 65
  g8.\f a16 h8 r a8\p a | % 66
  g8.[ fis16] fis8 r r4 | % 67
  R2. | % 68
  r8 fis8[( g]) h[( g]) e |
  d4 d8 r r4 |
  r8 fis g[( h,]) c d |
  e2 a8[ c] h4.( g8) d8[ fis] |
  g4 r d8\p a' |
  fis8.[ g16] g8 r a8\f a |
  a8.[( g16]) g8 r g8\ff g |
  g e16 e d8( h'4) fis8 \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII 
  g4 r r r | % 78
  R1*42 \bar"|."
}
\addQuote "SiConsistantBSoloIMusic" { \SiConsistantBSoloIMusic }

SiConsistantBSoloILyrics = \lyricmode {
  U -- nam pe -- ti -- i a Do -- mi -- no, 
  u -- nam pe -- ti -- i a Do -- mi -- no
  hanc re -- qui -- ram,
  hanc re -- qui -- ram
  hand re -- qui -- ram a Do -- mi -- no
  % 62
  ut in ha -- bi -- tem in do -- mo Do -- mi -- ni 
  di -- e -- bus om -- ni -- bus vi -- tae me -- ae
  % 68
  hanc hanc re -- qui -- ram 
  in do -- mo in do -- mo Do -- mi -- ni
  hanc re -- qui -- ram, hanc re -- qui -- ram, 
  hanc re -- qui -- ram a Do -- mi -- no.
}

SiConsistantBSoloIIMusic = \relative c {
  R1*44 | \barNumberCheck #45
  r2 r4\fermata \bar"||"  \BClef \SiConsistantSettingsII \SiConsistantKeyII r4 | % 46
  R2.*7 | % 53
  r4 r \cueText "Basso 2 Solo" c8 c | % 54
  c4. c8 h8 c | % 55
  g8. g16 c8 r c c | % 56
  c4. c8 h c | % 57
  g'8. g16 c,8 r c\p c | % 58
  g'4 g,8 r g'\cresc g | % 59
  h,4 c8 r c'8\f g | \barNumberCheck #60
  e4. d16 c h8 c | % 61
  g'4 r r | % 62
  r r fis8 fis | % 63
  g8. g16 g8 c,8 c e | % 64
  g8. g,16 g8 g'8\cresc g fis |
  e8.\f fis16 g8 g,[(\p a]) a |
  a8.[( d16]) d8 r r4 |
  R2. |
  r4 r8 g,8[( e']) cis |
  d4 d8 r r4 |
  r r8 g, a h |
  c4.( e8) c[ a] |
  d2 d4 |
  g,4 r d'8\p d |
  d8.[( g16]) g8 r d\f d |
  d8.[( g,16]) g8 r h8\ff h |
  c c16 c d4 d \bar"||" % 77
  \SiConsistantSettingsIII \SiConsistantKeyIII g,4 r r2 | % 78
  R1*42 \bar"|."
}
\addQuote "SiConsistantBSoloIIMusic" { \SiConsistantBSoloIIMusic }

SiConsistantBSoloIILyrics = \lyricmode {
  U -- nam pe -- ti -- i a Do -- mi -- no, 
  u -- nam pe -- ti -- i a Do -- mi -- no,
  hanc re -- qui -- ram 
  hanc re -- qui -- ram,
  hand re -- qui -- ram a Do -- mi -- no,
  % 62
  ut in ha -- bi -- tem in do -- mo Do -- mi -- ni 
  di -- e -- bus om -- ni -- bus vi -- tae -- me -- ae 
  hanc re -- qui -- ram,
  in do -- mo do -- mo Do -- mi -- ni 
  hanc re -- qui -- ram, hanc re -- qui -- ram, 
  hanc re -- qui -- ram, a Do -- mi -- no.
}


SiConsistantSStaff = <<
\new Staff = "SiConsistantSStaff" \with {
         instrumentName = \SInstrumentName
         shortInstrumentName = \SShortInstrumentName
} <<
  \new Voice = "SiConsistantSVoice" {
      \dynamicUp
      \SiConsistantSettings 
      \SClef
      \SiConsistantKey 
      \SiConsistantTimeSignature 
      \cueText "Tutti"
      \quoteDuring #"SiConsistantSMusic" {s1*44 s2 s4 }
      \bar"||"
      \SiConsistantSettingsII
      s4 | s2.*31 \bar"||"
      \SiConsistantSettingsIII
      s4 s s 
      \cueText "Soprano Tutti" \SClef
      \set Staff.instrumentName = \SInstrumentName
      \set Staff.shortInstrumentName = \SShortInstrumentName
      \quoteDuring #"SiConsistantSMusic" {s4 | s1*42 }
      \bar"|."
  }
  \new Voice = "SiConsistantT1SoloInSStaffVoice" {
      \dynamicUp
      s1*44 | s2 s4 \bar"||" 
      \TClef
      \SiConsistantSettingsII 
      \cueText "Tenore 1 Solo" 
      \set Staff.instrumentName = "T.1"
      \set Staff.shortInstrumentName = "T.1"

      \quoteDuring #"SiConsistantTSoloIMusic" {s4 s2.*31 s4 s s} 
      s4 s1*42
  }
>>
  \new Lyrics = "SiConsistantSLyrics" \lyricsto "SiConsistantSVoice" \SiConsistantSLyrics
  \context Lyrics = "SiConsistantSLyrics" \lyricsto "SiConsistantT1SoloInSStaffVoice" \SiConsistantTSoloILyrics
>>

SiConsistantAStaff = <<
\new Staff = "SiConsistantAStaff" \with {
         instrumentName = \AInstrumentName
         shortInstrumentName = \AShortInstrumentName
} <<
  \new Voice = "SiConsistantAVoice" {
      \dynamicUp
      \SiConsistantSettings 
      \AClef
      \SiConsistantKey 
      \SiConsistantTimeSignature 
      \cueText "Tutti"
      \quoteDuring #"SiConsistantAMusic" {s1*44 s2 s4 }
      \bar"||"
      \SiConsistantSettingsII
      s4 | s2.*31 \bar"||"
      \SiConsistantSettingsIII
      s4 s s 
      \cueText "Alto Tutti" \AClef
      \set Staff.instrumentName = \AInstrumentName
      \set Staff.shortInstrumentName = \AShortInstrumentName
      \quoteDuring #"SiConsistantAMusic" {s4 | s1*42 }
      \bar"|."
  }
  \new Voice = "SiConsistantT2SoloInAStaffVoice" {
      \dynamicUp
      s1*44 | s2 s4 \bar"||" 
      \TClef
      \SiConsistantSettingsII 
      \cueText "Tenore 2 Solo" 
      \set Staff.instrumentName = "T.2"
      \set Staff.shortInstrumentName = "T.2"

      \quoteDuring #"SiConsistantTSoloIIMusic" {s4 s2.*31 s4 s s} 
      s4 s1*42
  }
>>
  \new Lyrics = "SiConsistantALyrics" \lyricsto "SiConsistantAVoice" \SiConsistantALyrics
  \context Lyrics = "SiConsistantALyrics" \lyricsto "SiConsistantT2SoloInAStaffVoice" \SiConsistantTSoloIILyrics
>>

SiConsistantTStaff = <<
\new Staff = "SiConsistantTStaff" \with {
         instrumentName = \TInstrumentName
         shortInstrumentName = \TShortInstrumentName
} <<
  \new Voice = "SiConsistantTVoice" {
      \dynamicUp
      \SiConsistantSettings 
      \TClef
      \SiConsistantKey 
      \SiConsistantTimeSignature 
      \cueText "Tutti"
      \quoteDuring #"SiConsistantTMusic" {s1*44 s2 s4 }
      \bar"||"
      \SiConsistantSettingsII
      s4 | s2.*31 \bar"||"
      \SiConsistantSettingsIII
      s4 s s 
      \cueText "Tenore Tutti" \TClef
      \set Staff.instrumentName = \TInstrumentName
      \set Staff.shortInstrumentName = \TShortInstrumentName
      \quoteDuring #"SiConsistantTMusic" {s4 | s1*42 }
      \bar"|."
  }
  \new Voice = "SiConsistantB1SoloInTStaffVoice" {
      \dynamicUp
      s1*44 | s2 s4 \bar"||" 
      \BClef
      \SiConsistantSettingsII 
      \cueText "Basso 1 Solo" 
      \set Staff.instrumentName = "B.1"
      \set Staff.shortInstrumentName = "B.1"

      \quoteDuring #"SiConsistantBSoloIMusic" {s4 s2.*31 s4 s s} 
      s4 s1*42
  }
>>
  \context Lyrics = "SiConsistantTLyrics" \lyricsto "SiConsistantTVoice" \SiConsistantTLyrics
  \context Lyrics = "SiConsistantTLyrics" \lyricsto "SiConsistantB1SoloInTStaffVoice" \SiConsistantBSoloILyrics
>>

SiConsistantBStaff = <<
\new Staff = "SiConsistantBStaff" \with {
         instrumentName = \BInstrumentName
         shortInstrumentName = \BShortInstrumentName
} <<
  \new Voice = "SiConsistantBVoice" {
      \dynamicUp
      \SiConsistantSettings 
      \BClef
      \SiConsistantKey 
      \SiConsistantTimeSignature 
      \cueText "Tutti"
      \quoteDuring #"SiConsistantBMusic" {s1*44 s2 s4 }
      \bar"||"
      \SiConsistantSettingsII
      s4 | s2.*31 \bar"||"
      \SiConsistantSettingsIII
      s4 s s 
      \cueText "Basso Tutti" \BClef
      \set Staff.instrumentName = \BInstrumentName
      \set Staff.shortInstrumentName = \BShortInstrumentName
      \quoteDuring #"SiConsistantBMusic" {s4 | s1*42 }
      \bar"|."
  }
  \new Voice = "SiConsistantB2SoloInBStaffVoice" {
      \dynamicUp
      s1*44 | s2 s4 \bar"||" 
      \BClef
      \SiConsistantSettingsII 
      \cueText "Basso 2 Solo" 
      \set Staff.instrumentName = "B.2"
      \set Staff.shortInstrumentName = "B.2"

      \quoteDuring #"SiConsistantBSoloIIMusic" {s4 s2.*31 s4 s s} 
      s4 s1*42
  }
>>
  \context Lyrics = "SiConsistantBLyrics" \lyricsto "SiConsistantBVoice" \SiConsistantBLyrics
  \context Lyrics = "SiConsistantBLyrics" \lyricsto "SiConsistantB2SoloInBStaffVoice" \SiConsistantBSoloIILyrics
>>




SiConsistantVcBMusic = \relative c {
  c8[\f c c c] c4 r | % 2
  c2:8 c4:8 r | % 3
  c2:8 c2:8 | % 4
  c2:8 c4 r | % 5
  c2:8 c2:8 | % 6
  c2:8 c4 r | % 7
  as'-| g-| r2 | % 8
  f4-| es-| r c8[ c'] | % 9
  as[ as, g g'] f[ f, as as'] | \barNumberCheck #10
  g,[ h d g] g,[ h d g] | % 11
  g,[ c es c] g[ c es c] | % 12
  g[ h d g] g,[ h d g] | % 13
  g,[ c es c] g[ c es c] | % 14
  g[ h d g] g,4 r | % 15
  ges8[\fz ges' ges ges] ges,[\fz ges' ges ges] | % 16
  f,[\fz f' f f] f,[\fz f' f f] | % 17
  c,8[\f c'c c] c,[ c' c c] | % 18
  des,[ des' des des] des,[ des' des des] | % 19
  as[\fz as' as as] as,[\fz as' as as] | \barNumberCheck #20
  g,[\fz g' g g] g,[\fz g' g g] | % 21
  d,[\f d' d d] d,[ d' d d] | % 22
  es,[ es' es es] es,[ es' es es] | % 23
  g,[ g' g g] g,[ g' g g] | % 24
  g,[ g' d h] g[ g' es c] | % 25
  g[ g' g g] g,[ g' g g] | % 26
  g,[ h d g] es,[ g c es] | % 27
  f[ es d c] f[ es d c] | % 28
  h[\fz h' h h,] c[ c' as as,] | % 29
  g[ g' c, c'] g[ f g g,] | \barNumberCheck #30
  c[ es' c, c'] as,[ as' f, f'] | % 31
  d,[ f' d d'] b,[ b' g, g'] | % 32
  es,[ g' es es'] c,[ c' as, as'] | % 33
  f,[\ff f' f f] fis,[ fis' fis fis] | % 34
  g4 r g, r | % 35
  c8[\fz c c c] c4 r | % 36
  c2:8\fz c4 r | % 37
  c2:8\fz c4 r | % 38
  c2:8\fz c2:8\fz | % 39
  c2:8\fz c2:8\fz | \barNumberCheck #40
  c4 r r4 \clef "tenor" r8 g'8\f | % 41
  es'[ c g] \clef "bass" es c'[ g es c] | % 42
  g[ g' f g] es[ g c, es] | % 43
  g,[ g' f g] es[ g c, es] | % 44
  g,4 r g'8[( fis16 e] d[ c h a]) | % 45
  g2 r4\fermata \bar"||" \SiConsistantSettingsII \SiConsistantKeyII r4 | \barNumberCheck #46
  R2.*31 \bar"||" \barNumberCheck #77
  \SiConsistantSettingsIII \SiConsistantKeyIII
  g8[\p g g g] g4 r | % 78
  g8[ g g g] g4 r | % 79
  g8[ g g g] g4 r | \barNumberCheck #80
  g8[ g g g] g4 r | % 81
  g8[\cresc g g g] g4 r | % 82
  g8[ g g g] g4 r | % 83
  g8[\f g h h] d[ d f f] | % 84
  es[ es' h, h'] c,[ c' as, as'] | % 85
  g,[ h d g] g,[ h d g] | % 86
  g,[ c es c] g[ c es c] | % 87
  g[ h d g] g,[ h d g] | % 88
  g,[ c es c] g[ c es c] | % 89
  g[ h d g] g,4 r | \barNumberCheck #90
  ges8[\fz ges' ges ges] ges,[\fz ges' ges ges] | % 91
  f,8[\fz f'f f] f,[\fz f' f f] | % 92
  c,[\f c' c c] c,[ c' c c] | % 93
  des,[ des' des des] des,[ des' des des] | % 94
  as[\fz as' as as] as,[\fz as' as as] | % 95
  g,[\fz g' g g] g,[\fz g' g g] | % 96
  d,[\f d' d d] d,[ d' d d] | % 97
  es,[ es' es es] es,[ es' es es] | % 98
  g,[ g' g g] g,[ g' g g] | % 99
  g,[ g' d h] g[ g' es c] | \barNumberCheck #100
  g[ g' g g] g,[ g' g g] | % 101
  g,[ h d g] es,[ g c es] | % 102
  f[ es d c] f[ es d c] | % 103
  h[\fz h' h h,] c[ c' as as,] | % 104
  g[ g' c, c'] g[ f g g,] | % 105
  c[ es' c, c'] as,[ as' f, f'] | % 106
  d,[ f' d d'] b,[ b' g, g'] | % 107
  es,[ g' es es'] c,[ c' as, as'] | % 108
  f,[\ff f' f f] fis,[ fis' fis fis] | % 109
  g4 r g, r | \barNumberCheck #110
  c8[\fz c c c] c4 r | % 111
  c8[\fz c c c] c4 r | % 112
  c8[\fz c c c] c4 r | % 113
  c8[\fz c c c] c[\fz c c c] | % 114
  c[\fz c c c] c[\fz c c c] | % 115
  c4 r \clef "tenor" r r8 g'8\f | % 116
  es'[ c g] \clef "bass" es c'[ g es c] | % 117
  g'4 r g, r | % 118
  c r \appoggiatura {g32[ a h]} c4 r | % 119
  \appoggiatura {g32[ a h]} c4 r r2 \bar"|."
}
\addQuote "SiConsistantVcBMusic" { \SiConsistantVcBMusic }


SiConsistantBCFbMusic = \figuremode {
  s1\solo | % 2
  s1 | % 3
  <7! 2>2\tutti s | % 4
  <_-> s | % 5
  <7! 2> s | % 6
  <_-> s | % 7
  <6>4 <6 4> s s | % 8
  <5> <6> s s | % 9
  <6> <6 4> <6 5> <6> | \barNumberCheck #10
  <_!> s s s | % 11
  <6 4> s <7+ 6 4 2!> s | % 12
  <_!> s s s | % 13
  <6 4> s <7+ 6 4 2!> s | % 14
  <_!>1 | % 15
  <4 2> | % 16
  <6-> | % 17
  <5-> | % 18
  s1 | % 19
  <4!> | \barNumberCheck #20
  <6> | % 21
  <5-> | % 22
  s | % 23
  <7 _!>4 <6 4> <_!> <7+ 6- 2!> | % 24
  <_!>2 <6 4> | % 25
  <7 _!>4 <6 4> <_!> <7+ 6- 2!> | % 26
  <_!>2 <6> | % 27
  <4\+ _->8 <6> <6\\> <_-> <4\+ _-> <6> <6\\> <_-> | % 28
  <7->4 s s <6> | % 29
  <7 _!> s <4> <_!> | \barNumberCheck #30
  s <3> <3> <3> | % 31
  <3> <3> <3> <3> | % 32
  <3> <3> <3> <3> | % 33
  <4\+ _->2 <7 _!> | % 34
  <6 4> <_!> | % 35
  s1*10\solo | % 45
  s2. \SiConsistantSettingsII \SiConsistantKeyII s4 | \barNumberCheck #46
  s2.*31 \bar"||" \barNumberCheck #77
  \SiConsistantSettingsIII \SiConsistantKeyIII
  s1*6\solo | % 83
  \bassFigureExtendersOn
  <7 _!>8\tutti <7 _!> <7 _!> <7 _!> <7 _!> <7 _!> <7 _!> <7 _!> | % 84
  \bassFigureExtendersOff
  <6>4 <6> s <6\\> | % 85
  <_!>1 | % 86
  <6 4>2 <7+ 6 4 2!> | % 87
  <_!> s | % 88
  <6 4> <7+ 6 4 2!> | % 89
  <_!>1 | \barNumberCheck #90
  <4 2> | % 91
  <6-> | % 92
  <5-> | % 93
  s | % 94
  <4!> | % 95
  <6> | % 96
  <5-> | % 97
  s | % 98
  <7 _!>4 <6 4> <_!> <7+ 6- 2!> | % 99
  <_!> s <6 4> s | \barNumberCheck #100
  <7 _!> <6 4> <_!> <7+ 6- 2!> | % 101
  <_!>2 <6> | % 102
  <4\+ _->8 <6> <6\\> <_-> <4\+ _-> <6> <6\\> <_-> | % 103
  <7->4 s s <6> | % 104
  <7 _-> s <4> <_!> | % 105
  s <3> <3> <3> | % 106
  <3> <3> <3> <3> | % 107
  <3> <3> <3> <3> | % 108
  <4\+ _->2 <7 _!> | % 109
  <6 4> <_!> | \barNumberCheck #110
  s1*10\solo \bar"|."
}
SiConsistantBCMusic = \SiConsistantVcBMusic
\addQuote "SiConsistantBCMusic" { \SiConsistantBCMusic }

